diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 5073503..6160c63 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -7633,6 +7633,58 @@ o )show BalancedBinaryTree
 \pageto{BinarySearchTree}{BSTREE}
 \pageto{BinaryTournament}{BTOURN}
 \pageto{PendantTree}{PENDTREE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BBTREE}{any?} &
+\cross{BBTREE}{balancedBinaryTree} &
+\cross{BBTREE}{child?} &
+\cross{BBTREE}{children} &
+\cross{BBTREE}{coerce} \\
+\cross{BBTREE}{copy} &
+\cross{BBTREE}{count} &
+\cross{BBTREE}{cyclic?} &
+\cross{BBTREE}{distance} &
+\cross{BBTREE}{empty} \\
+\cross{BBTREE}{empty?} &
+\cross{BBTREE}{eq?} &
+\cross{BBTREE}{eval} &
+\cross{BBTREE}{every?} &
+\cross{BBTREE}{hash} \\
+\cross{BBTREE}{latex} &
+\cross{BBTREE}{leaf?} &
+\cross{BBTREE}{leaves} &
+\cross{BBTREE}{left} &
+\cross{BBTREE}{less?} \\
+\cross{BBTREE}{map} &
+\cross{BBTREE}{map!} &
+\cross{BBTREE}{mapDown!} &
+\cross{BBTREE}{mapUp!} &
+\cross{BBTREE}{member?} \\
+\cross{BBTREE}{members} &
+\cross{BBTREE}{more?} &
+\cross{BBTREE}{node?} &
+\cross{BBTREE}{node} &
+\cross{BBTREE}{nodes} \\
+\cross{BBTREE}{parts} &
+\cross{BBTREE}{right} &
+\cross{BBTREE}{sample} &
+\cross{BBTREE}{setchildren!} &
+\cross{BBTREE}{setelt} \\
+\cross{BBTREE}{setleaves!} &
+\cross{BBTREE}{setleft!} &
+\cross{BBTREE}{setright!} &
+\cross{BBTREE}{setvalue!} &
+\cross{BBTREE}{size?} \\
+\cross{BBTREE}{value} &
+\cross{BBTREE}{\#{}?} &
+\cross{BBTREE}{?=?} &
+\cross{BBTREE}{?\~{}=?} &
+\cross{BBTREE}{?.right} \\
+\cross{BBTREE}{?.left} &
+\cross{BBTREE}{?.value} &&&
+\end{tabular}
+
 <<domain BBTREE BalancedBinaryTree>>=
 )abbrev domain BBTREE BalancedBinaryTree
 ++ Description: \spadtype{BalancedBinaryTree(S)} is the domain of balanced
@@ -7802,6 +7854,57 @@ BalancedBinaryTree(S: SetCategory): Exports == Implementation where
 \pageto{PAdicRationalConstructor}{PADICRC}
 \pageto{PAdicRational}{PADICRAT}
 \pageto{BalancedPAdicRational}{BPADICRT}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{BPADIC}{0} &
+\cross{BPADIC}{1} &
+\cross{BPADIC}{approximate} &
+\cross{BPADIC}{associates?} \\
+\cross{BPADIC}{characteristic} &
+\cross{BPADIC}{coerce} &
+\cross{BPADIC}{complete} &
+\cross{BPADIC}{digits} \\
+\cross{BPADIC}{divide} &
+\cross{BPADIC}{euclideanSize} &
+\cross{BPADIC}{expressIdealMember} &
+\cross{BPADIC}{exquo} \\
+\cross{BPADIC}{extend} &
+\cross{BPADIC}{extendedEuclidean} &
+\cross{BPADIC}{gcd} &
+\cross{BPADIC}{gcdPolynomial} \\
+\cross{BPADIC}{hash} &
+\cross{BPADIC}{latex} &
+\cross{BPADIC}{lcm} &
+\cross{BPADIC}{moduloP} \\
+\cross{BPADIC}{modulus} &
+\cross{BPADIC}{multiEuclidean} &
+\cross{BPADIC}{one?} &
+\cross{BPADIC}{order} \\
+\cross{BPADIC}{principalIdeal} &
+\cross{BPADIC}{quotientByP} &
+\cross{BPADIC}{recip} &
+\cross{BPADIC}{root} \\
+\cross{BPADIC}{sample} &
+\cross{BPADIC}{sizeLess?} &
+\cross{BPADIC}{sqrt} &
+\cross{BPADIC}{subtractIfCan} \\
+\cross{BPADIC}{unit?} &
+\cross{BPADIC}{unitCanonical} &
+\cross{BPADIC}{unitNormal} &
+\cross{BPADIC}{zero?} \\
+\cross{BPADIC}{?\~{}=?} &
+\cross{BPADIC}{?*?} &
+\cross{BPADIC}{?**?} &
+\cross{BPADIC}{?\^{}?} \\
+\cross{BPADIC}{?+?} &
+\cross{BPADIC}{?-?} &
+\cross{BPADIC}{-?} &
+\cross{BPADIC}{?=?} \\
+\cross{BPADIC}{?quo?} &
+\cross{BPADIC}{?rem?} &&
+\end{tabular}
+
 <<domain BPADIC BalancedPAdicInteger>>=
 )abbrev domain BPADIC BalancedPAdicInteger
 ++ Author: Clifton J. Williamson
@@ -7836,6 +7939,93 @@ BalancedPAdicInteger(p:Integer) == InnerPAdicInteger(p,false$Boolean)
 \pageto{BalancedPAdicInteger}{BPADIC}
 \pageto{PAdicRationalConstructor}{PADICRC}
 \pageto{PAdicRational}{PADICRAT}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{BPADICRT}{0} &
+\cross{BPADICRT}{1} &
+\cross{BPADICRT}{abs} \\
+\cross{BPADICRT}{approximate} &
+\cross{BPADICRT}{associates?} &
+\cross{BPADICRT}{ceiling} \\
+\cross{BPADICRT}{characteristic} &
+\cross{BPADICRT}{charthRoot} &
+\cross{BPADICRT}{coerce} \\
+\cross{BPADICRT}{conditionP} &
+\cross{BPADICRT}{continuedFraction} &
+\cross{BPADICRT}{convert} \\
+\cross{BPADICRT}{D} &
+\cross{BPADICRT}{denom} &
+\cross{BPADICRT}{denominator} \\
+\cross{BPADICRT}{differentiate} &
+\cross{BPADICRT}{divide} &
+\cross{BPADICRT}{?.?} \\
+\cross{BPADICRT}{euclideanSize} &
+\cross{BPADICRT}{eval} &
+\cross{BPADICRT}{expressIdealMember} \\
+\cross{BPADICRT}{exquo} &
+\cross{BPADICRT}{extendedEuclidean} &
+\cross{BPADICRT}{factor} \\
+\cross{BPADICRT}{factorPolynomial} &
+\cross{BPADICRT}{factorSquareFreePolynomial} &
+\cross{BPADICRT}{floor} \\
+\cross{BPADICRT}{fractionPart} &
+\cross{BPADICRT}{gcd} &
+\cross{BPADICRT}{gcdPolynomial} \\
+\cross{BPADICRT}{hash} &
+\cross{BPADICRT}{init} &
+\cross{BPADICRT}{inv} \\
+\cross{BPADICRT}{latex} &
+\cross{BPADICRT}{lcm} &
+\cross{BPADICRT}{map} \\
+\cross{BPADICRT}{max} &
+\cross{BPADICRT}{min} &
+\cross{BPADICRT}{multiEuclidean} \\
+\cross{BPADICRT}{negative?} &
+\cross{BPADICRT}{nextItem} &
+\cross{BPADICRT}{numer} \\
+\cross{BPADICRT}{numerator} &
+\cross{BPADICRT}{one?} &
+\cross{BPADICRT}{patternMatch} \\
+\cross{BPADICRT}{positive?} &
+\cross{BPADICRT}{prime?} &
+\cross{BPADICRT}{principalIdeal} \\
+\cross{BPADICRT}{random} &
+\cross{BPADICRT}{recip} &
+\cross{BPADICRT}{reducedSystem} \\
+\cross{BPADICRT}{removeZeroes} &
+\cross{BPADICRT}{retract} &
+\cross{BPADICRT}{retractIfCan} \\
+\cross{BPADICRT}{sample} &
+\cross{BPADICRT}{sign} &
+\cross{BPADICRT}{sizeLess?} \\
+\cross{BPADICRT}{solveLinearPolynomialEquation} &
+\cross{BPADICRT}{squareFree} &
+\cross{BPADICRT}{squareFreePart} \\
+\cross{BPADICRT}{squareFreePolynomial} &
+\cross{BPADICRT}{subtractIfCan} &
+\cross{BPADICRT}{unit?} \\
+\cross{BPADICRT}{unitCanonical} &
+\cross{BPADICRT}{unitNormal} &
+\cross{BPADICRT}{wholePart} \\
+\cross{BPADICRT}{zero?} &
+\cross{BPADICRT}{?*?} &
+\cross{BPADICRT}{?**?} \\
+\cross{BPADICRT}{?+?} &
+\cross{BPADICRT}{?-?} &
+\cross{BPADICRT}{-?} \\
+\cross{BPADICRT}{?/?} &
+\cross{BPADICRT}{?=?} &
+\cross{BPADICRT}{?\^{}?} \\
+\cross{BPADICRT}{?\~{}=?} &
+\cross{BPADICRT}{?$<$?} &
+\cross{BPADICRT}{?$<=$?} \\
+\cross{BPADICRT}{?$>$?} &
+\cross{BPADICRT}{?$>=$?} &
+\cross{BPADICRT}{?quo?} \\
+\cross{BPADICRT}{?rem?} &&
+\end{tabular}
+
 <<domain BPADICRT BalancedPAdicRational>>=
 )abbrev domain BPADICRT BalancedPAdicRational
 ++ Author: Clifton J. Williamson
@@ -7866,6 +8056,18 @@ BalancedPAdicRational(p:Integer) ==
 \section{domain BFUNCT BasicFunctions}
 \pagehead{BasicFunctions}{BFUNCT}
 \pagepic{ps/v103basicfunctions.ps}{BFUNCT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BFUNCT}{bfEntry} &
+\cross{BFUNCT}{bfKeys} &
+\cross{BFUNCT}{coerce} &
+\cross{BFUNCT}{hash} &
+\cross{BFUNCT}{latex} \\
+\cross{BFUNCT}{?\~{}=?} &
+\cross{BFUNCT}{?=?} &&&
+\end{tabular}
+
 <<domain BFUNCT BasicFunctions>>=
 )abbrev domain BFUNCT BasicFunctions
 ++ Author: Brian Dupee
@@ -8244,6 +8446,47 @@ o )show BasicOperator
 @
 \pagehead{BasicOperator}{BOP}
 \pagepic{ps/v103basicoperator.ps}{BOP}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BOP}{arity} &
+\cross{BOP}{assert} &
+\cross{BOP}{coerce} &
+\cross{BOP}{comparison} &
+\cross{BOP}{copy} \\
+\cross{BOP}{deleteProperty!} &
+\cross{BOP}{display} &
+\cross{BOP}{display} &
+\cross{BOP}{display} &
+\cross{BOP}{equality} \\
+\cross{BOP}{has?} &
+\cross{BOP}{hash} &
+\cross{BOP}{input} &
+\cross{BOP}{input} &
+\cross{BOP}{is?} \\
+\cross{BOP}{latex} &
+\cross{BOP}{max} &
+\cross{BOP}{min} &
+\cross{BOP}{name} &
+\cross{BOP}{nary?} \\
+\cross{BOP}{nullary?} &
+\cross{BOP}{operator} &
+\cross{BOP}{operator} &
+\cross{BOP}{properties} &
+\cross{BOP}{property} \\
+\cross{BOP}{setProperties} &
+\cross{BOP}{setProperty} &
+\cross{BOP}{unary?} &
+\cross{BOP}{weight} &
+\cross{BOP}{weight} \\
+\cross{BOP}{?\~{}=?} &
+\cross{BOP}{?$<$?} &
+\cross{BOP}{?$<=$?} &
+\cross{BOP}{?=?} &
+\cross{BOP}{?$>$?} \\
+\cross{BOP}{?$>=$?} &&&&
+\end{tabular}
+
 <<domain BOP BasicOperator>>=
 )abbrev domain BOP BasicOperator
 ++ Basic system operators
@@ -8599,6 +8842,91 @@ o )show BinaryExpansion
 \pageto{RadixExpansion}{RADIX}
 \pageto{DecimalExpansion}{DECIMAL}
 \pageto{HexadecimalExpansion}{HEXADEC}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{BINARY}{0} &
+\cross{BINARY}{1} &
+\cross{BINARY}{abs} \\
+\cross{BINARY}{associates?} &
+\cross{BINARY}{binary} &
+\cross{BINARY}{ceiling} \\
+\cross{BINARY}{characteristic} &
+\cross{BINARY}{charthRoot} &
+\cross{BINARY}{coerce} \\
+\cross{BINARY}{conditionP} &
+\cross{BINARY}{convert} &
+\cross{BINARY}{D} \\
+\cross{BINARY}{denom} &
+\cross{BINARY}{denominator} &
+\cross{BINARY}{differentiate} \\
+\cross{BINARY}{divide} &
+\cross{BINARY}{euclideanSize} &
+\cross{BINARY}{eval} \\
+\cross{BINARY}{expressIdealMember} &
+\cross{BINARY}{exquo} &
+\cross{BINARY}{extendedEuclidean} \\
+\cross{BINARY}{factor} &
+\cross{BINARY}{factorPolynomial} &
+\cross{BINARY}{factorSquareFreePolynomial} \\
+\cross{BINARY}{floor} &
+\cross{BINARY}{fractionPart} &
+\cross{BINARY}{gcd} \\
+\cross{BINARY}{gcdPolynomial} &
+\cross{BINARY}{hash} &
+\cross{BINARY}{init} \\
+\cross{BINARY}{inv} &
+\cross{BINARY}{latex} &
+\cross{BINARY}{lcm} \\
+\cross{BINARY}{map} &
+\cross{BINARY}{max} &
+\cross{BINARY}{min} \\
+\cross{BINARY}{multiEuclidean} &
+\cross{BINARY}{negative?} &
+\cross{BINARY}{nextItem} \\
+\cross{BINARY}{numer} &
+\cross{BINARY}{numerator} &
+\cross{BINARY}{one?} \\
+\cross{BINARY}{patternMatch} &
+\cross{BINARY}{positive?} &
+\cross{BINARY}{prime?} \\
+\cross{BINARY}{principalIdeal} &
+\cross{BINARY}{random} &
+\cross{BINARY}{recip} \\
+\cross{BINARY}{reducedSystem} &
+\cross{BINARY}{retract} &
+\cross{BINARY}{retractIfCan} \\
+\cross{BINARY}{sample} &
+\cross{BINARY}{sign} &
+\cross{BINARY}{sizeLess?} \\
+\cross{BINARY}{solveLinearPolynomialEquation} &
+\cross{BINARY}{squareFree} &
+\cross{BINARY}{squareFreePart} \\
+\cross{BINARY}{squareFreePolynomial} &
+\cross{BINARY}{subtractIfCan} &
+\cross{BINARY}{unit?} \\
+\cross{BINARY}{unitCanonical} &
+\cross{BINARY}{unitNormal} &
+\cross{BINARY}{wholePart} \\
+\cross{BINARY}{zero?} &
+\cross{BINARY}{?*?} &
+\cross{BINARY}{?**?} \\
+\cross{BINARY}{?+?} &
+\cross{BINARY}{?-?} &
+\cross{BINARY}{-?} \\
+\cross{BINARY}{?/?} &
+\cross{BINARY}{?=?} &
+\cross{BINARY}{?\^{}?} \\
+\cross{BINARY}{?\~{}=?} &
+\cross{BINARY}{?$<$?} &
+\cross{BINARY}{?$<=$?} \\
+\cross{BINARY}{?$>$?} &
+\cross{BINARY}{?$>=$?} &
+\cross{BINARY}{?.?} \\
+\cross{BINARY}{?quo?} &
+\cross{BINARY}{?rem?} &
+\end{tabular}
+
 <<domain BINARY BinaryExpansion>>=
 )abbrev domain BINARY BinaryExpansion
 ++ Author: Clifton J. Williamson
@@ -8648,6 +8976,26 @@ BinaryExpansion(): Exports == Implementation where
 \pageto{TextFile}{TEXTFILE}
 \pageto{KeyedAccessFile}{KAFILE}
 \pageto{Library}{LIB}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BINFILE}{close!} &
+\cross{BINFILE}{coerce} &
+\cross{BINFILE}{hash} &
+\cross{BINFILE}{iomode} &
+\cross{BINFILE}{latex} \\
+\cross{BINFILE}{name} &
+\cross{BINFILE}{open} &
+\cross{BINFILE}{position} &
+\cross{BINFILE}{position!} &
+\cross{BINFILE}{read!} \\
+\cross{BINFILE}{readIfCan!} &
+\cross{BINFILE}{reopen!} &
+\cross{BINFILE}{write!} &
+\cross{BINFILE}{?=?} &
+\cross{BINFILE}{?\~{}=?} 
+\end{tabular}
+
 <<domain BINFILE BinaryFile>>=
 )abbrev domain BINFILE BinaryFile
 ++ Author: Barry M. Trager
@@ -8972,6 +9320,64 @@ o )show BinarySearchTree
 \pageto{BinaryTournament}{BTOURN}
 \pageto{BalancedBinaryTree}{BBTREE}
 \pageto{PendantTree}{PENDTREE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BSTREE}{any?} &
+\cross{BSTREE}{binarySearchTree} &
+\cross{BSTREE}{child?} &
+\cross{BSTREE}{children} &
+\cross{BSTREE}{coerce} \\
+\cross{BSTREE}{copy} &
+\cross{BSTREE}{count} &
+\cross{BSTREE}{count} &
+\cross{BSTREE}{cyclic?} &
+\cross{BSTREE}{distance} \\
+\cross{BSTREE}{empty} &
+\cross{BSTREE}{empty?} &
+\cross{BSTREE}{eq?} &
+\cross{BSTREE}{eval} &
+\cross{BSTREE}{eval} \\
+\cross{BSTREE}{eval} &
+\cross{BSTREE}{eval} &
+\cross{BSTREE}{every?} &
+\cross{BSTREE}{hash} &
+\cross{BSTREE}{insert!} \\
+\cross{BSTREE}{insertRoot!} &
+\cross{BSTREE}{latex} &
+\cross{BSTREE}{leaf?} &
+\cross{BSTREE}{leaves} &
+\cross{BSTREE}{left} \\
+\cross{BSTREE}{less?} &
+\cross{BSTREE}{map} &
+\cross{BSTREE}{map!} &
+\cross{BSTREE}{member?} &
+\cross{BSTREE}{members} \\
+\cross{BSTREE}{more?} &
+\cross{BSTREE}{node} &
+\cross{BSTREE}{node?} &
+\cross{BSTREE}{nodes} &
+\cross{BSTREE}{parts} \\
+\cross{BSTREE}{right} &
+\cross{BSTREE}{sample} &
+\cross{BSTREE}{setchildren!} &
+\cross{BSTREE}{setelt} &
+\cross{BSTREE}{setelt} \\
+\cross{BSTREE}{setelt} &
+\cross{BSTREE}{setleft!} &
+\cross{BSTREE}{setright!} &
+\cross{BSTREE}{setvalue!} &
+\cross{BSTREE}{size?} \\
+\cross{BSTREE}{split} &
+\cross{BSTREE}{value} &
+\cross{BSTREE}{\#{}?} &
+\cross{BSTREE}{?=?} &
+\cross{BSTREE}{?\~{}=?} \\
+\cross{BSTREE}{?.right} &
+\cross{BSTREE}{?.left} &
+\cross{BSTREE}{?.value} &&
+\end{tabular}
+
 <<domain BSTREE BinarySearchTree>>=
 )abbrev domain BSTREE BinarySearchTree
 ++ Description: BinarySearchTree(S) is the domain of
@@ -9054,6 +9460,56 @@ both BinaryTree(S)
 \pageto{BinarySearchTree}{BSTREE}
 \pageto{BalancedBinaryTree}{BBTREE}
 \pageto{PendantTree}{PENDTREE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BTOURN}{any?} &
+\cross{BTOURN}{binaryTournament} &
+\cross{BTOURN}{child?} &
+\cross{BTOURN}{children} &
+\cross{BTOURN}{coerce} \\
+\cross{BTOURN}{copy} &
+\cross{BTOURN}{count} &
+\cross{BTOURN}{cyclic?} &
+\cross{BTOURN}{distance} &
+\cross{BTOURN}{empty} \\
+\cross{BTOURN}{empty?} &
+\cross{BTOURN}{eq?} &
+\cross{BTOURN}{eval} &
+\cross{BTOURN}{every?} &
+\cross{BTOURN}{hash} \\
+\cross{BTOURN}{insert!} &
+\cross{BTOURN}{latex} &
+\cross{BTOURN}{leaf?} &
+\cross{BTOURN}{leaves} &
+\cross{BTOURN}{left} \\
+\cross{BTOURN}{less?} &
+\cross{BTOURN}{map} &
+\cross{BTOURN}{map!} &
+\cross{BTOURN}{member?} &
+\cross{BTOURN}{members} \\
+\cross{BTOURN}{more?} &
+\cross{BTOURN}{node} &
+\cross{BTOURN}{node?} &
+\cross{BTOURN}{nodes} &
+\cross{BTOURN}{parts} \\
+\cross{BTOURN}{right} &
+\cross{BTOURN}{sample} &
+\cross{BTOURN}{setchildren!} &
+\cross{BTOURN}{setelt} &
+\cross{BTOURN}{setleft!} \\
+\cross{BTOURN}{setright!} &
+\cross{BTOURN}{setvalue!} &
+\cross{BTOURN}{size?} &
+\cross{BTOURN}{value} &
+\cross{BTOURN}{\#{}?} \\
+\cross{BTOURN}{?=?} &
+\cross{BTOURN}{?\~{}=?} &
+\cross{BTOURN}{?.right} &
+\cross{BTOURN}{?.left} &
+\cross{BTOURN}{?.value} 
+\end{tabular}
+
 <<domain BTOURN BinaryTournament>>=
 )abbrev domain BTOURN BinaryTournament
 BinaryTournament(S: OrderedSet): Exports == Implementation where
@@ -9105,6 +9561,55 @@ BinaryTournament(S: OrderedSet): Exports == Implementation where
 \pageto{BinaryTournament}{BTOURN}
 \pageto{BalancedBinaryTree}{BBTREE}
 \pageto{PendantTree}{PENDTREE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BTREE}{any?} &
+\cross{BTREE}{binaryTree} &
+\cross{BTREE}{child?} &
+\cross{BTREE}{children} &
+\cross{BTREE}{coerce} \\
+\cross{BTREE}{copy} &
+\cross{BTREE}{count} &
+\cross{BTREE}{cyclic?} &
+\cross{BTREE}{distance} &
+\cross{BTREE}{empty} \\
+\cross{BTREE}{empty?} &
+\cross{BTREE}{eq?} &
+\cross{BTREE}{eval} &
+\cross{BTREE}{every?} &
+\cross{BTREE}{hash} \\
+\cross{BTREE}{latex} &
+\cross{BTREE}{leaf?} &
+\cross{BTREE}{leaves} &
+\cross{BTREE}{left} &
+\cross{BTREE}{less?} \\
+\cross{BTREE}{map} &
+\cross{BTREE}{map!} &
+\cross{BTREE}{member?} &
+\cross{BTREE}{members} &
+\cross{BTREE}{more?} \\
+\cross{BTREE}{node} &
+\cross{BTREE}{node?} &
+\cross{BTREE}{nodes} &
+\cross{BTREE}{parts} &
+\cross{BTREE}{right} \\
+\cross{BTREE}{sample} &
+\cross{BTREE}{setchildren!} &
+\cross{BTREE}{setelt} &
+\cross{BTREE}{setleft!} &
+\cross{BTREE}{setright!} \\
+\cross{BTREE}{setvalue!} &
+\cross{BTREE}{size?} &
+\cross{BTREE}{value} &
+\cross{BTREE}{\#{}?} &
+\cross{BTREE}{?=?} \\
+\cross{BTREE}{?\~{}=?} &
+\cross{BTREE}{?.right} &
+\cross{BTREE}{?.left} &
+\cross{BTREE}{?.value} &
+\end{tabular}
+
 <<domain BTREE BinaryTree>>=
 )abbrev domain BTREE BinaryTree
 ++ Description: \spadtype{BinaryTree(S)} is the domain of all
@@ -9173,6 +9678,84 @@ BinaryTree(S: SetCategory): Exports == Implementation where
 \pageto{Reference}{REF}
 \pageto{Boolean}{BOOLEAN}
 \pageto{IndexedBits}{IBITS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BITS}{any?} &
+\cross{BITS}{bits} &
+\cross{BITS}{coerce} &
+\cross{BITS}{concat} &
+\cross{BITS}{construct} \\
+\cross{BITS}{convert} &
+\cross{BITS}{copy} &
+\cross{BITS}{copyInto!} &
+\cross{BITS}{count} &
+\cross{BITS}{delete} \\
+\cross{BITS}{elt} &
+\cross{BITS}{empty} &
+\cross{BITS}{empty?} &
+\cross{BITS}{entries} &
+\cross{BITS}{entry?} \\
+\cross{BITS}{eq?} &
+\cross{BITS}{eval} &
+\cross{BITS}{every?} &
+\cross{BITS}{fill!} &
+\cross{BITS}{find} \\
+\cross{BITS}{first} &
+\cross{BITS}{hash} &
+\cross{BITS}{index?} &
+\cross{BITS}{indices} &
+\cross{BITS}{insert} \\
+\cross{BITS}{latex} &
+\cross{BITS}{less?} &
+\cross{BITS}{map} &
+\cross{BITS}{map!} &
+\cross{BITS}{max} \\
+\cross{BITS}{maxIndex} &
+\cross{BITS}{member?} &
+\cross{BITS}{members} &
+\cross{BITS}{merge} &
+\cross{BITS}{min} \\
+\cross{BITS}{minIndex} &
+\cross{BITS}{more?} &
+\cross{BITS}{nand} &
+\cross{BITS}{new} &
+\cross{BITS}{nor} \\
+\cross{BITS}{not?} &
+\cross{BITS}{parts} &
+\cross{BITS}{position} &
+\cross{BITS}{qelt} &
+\cross{BITS}{qsetelt!} \\
+\cross{BITS}{reduce} &
+\cross{BITS}{remove} &
+\cross{BITS}{removeDuplicates} &
+\cross{BITS}{reverse} &
+\cross{BITS}{reverse!} \\
+\cross{BITS}{sample} &
+\cross{BITS}{setelt} &
+\cross{BITS}{size?} &
+\cross{BITS}{sort} &
+\cross{BITS}{sort!} \\
+\cross{BITS}{sorted?} &
+\cross{BITS}{swap!} &
+\cross{BITS}{xor} &
+\cross{BITS}{\#{}?} &
+\cross{BITS}{?.?} \\
+\cross{BITS}{?$/\backslash{}$?} &
+\cross{BITS}{?$<$?} &
+\cross{BITS}{?$<=$?} &
+\cross{BITS}{?=?} &
+\cross{BITS}{?$>$?} \\
+\cross{BITS}{?$>=$?} &
+\cross{BITS}{?$\backslash{}/$?} &
+\cross{BITS}{\^{}?} &
+\cross{BITS}{?and?} &
+\cross{BITS}{?or?} \\
+\cross{BITS}{?.?} &
+\cross{BITS}{\~{}?} &
+\cross{BITS}{?\~{}=?} &&
+\end{tabular}
+
 <<domain BITS Bits>>=
 )abbrev domain BITS Bits
 ++ Author: Stephen M. Watt
@@ -9205,6 +9788,41 @@ Bits(): Exports == Implementation where
 \pageto{Reference}{REF}
 \pageto{IndexedBits}{IBITS}
 \pageto{Bits}{BITS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{BOOLEAN}{coerce} &
+\cross{BOOLEAN}{convert} &
+\cross{BOOLEAN}{false} &
+\cross{BOOLEAN}{hash} &
+\cross{BOOLEAN}{implies} \\
+\cross{BOOLEAN}{index} &
+\cross{BOOLEAN}{latex} &
+\cross{BOOLEAN}{lookup} &
+\cross{BOOLEAN}{max} &
+\cross{BOOLEAN}{min} \\
+\cross{BOOLEAN}{nand} &
+\cross{BOOLEAN}{nor} &
+\cross{BOOLEAN}{not?} &
+\cross{BOOLEAN}{random} &
+\cross{BOOLEAN}{size} \\
+\cross{BOOLEAN}{test} &
+\cross{BOOLEAN}{true} &
+\cross{BOOLEAN}{xor} &
+\cross{BOOLEAN}{\~{}?} &
+\cross{BOOLEAN}{?\~{}=?} \\
+\cross{BOOLEAN}{?$/\backslash{}$?} &
+\cross{BOOLEAN}{?$<$?} &
+\cross{BOOLEAN}{?$<=$?} &
+\cross{BOOLEAN}{?=?} &
+\cross{BOOLEAN}{?$>$?} \\
+\cross{BOOLEAN}{?$>=$?} &
+\cross{BOOLEAN}{?$\backslash{}/$?} &
+\cross{BOOLEAN}{\^{}?} &
+\cross{BOOLEAN}{?and?} &
+\cross{BOOLEAN}{?or?} 
+\end{tabular}
+
 <<domain BOOLEAN Boolean>>=
 )abbrev domain BOOLEAN Boolean
 ++ Author: Stephen M. Watt
@@ -9377,7 +9995,7 @@ countable? c2
 
 --S 10 of 20
 countable? A0
---R 
+uon --R 
 --R
 --R   (10)  true
 --R                                                                Type: Boolean
@@ -9616,6 +10234,40 @@ o )show CardinalNumber
 @
 \pagehead{CardinalNumber}{CARD}
 \pagepic{ps/v103cardinalnumber.ps}{CARD}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{CARD}{0} &
+\cross{CARD}{1} \\
+\cross{CARD}{Aleph} &
+\cross{CARD}{coerce} \\
+\cross{CARD}{countable?} &
+\cross{CARD}{finite?} \\
+\cross{CARD}{generalizedContinuumHypothesisAssumed} &
+\cross{CARD}{generalizedContinuumHypothesisAssumed?} \\
+\cross{CARD}{hash} &
+\cross{CARD}{latex} \\
+\cross{CARD}{max} &
+\cross{CARD}{min} \\
+\cross{CARD}{one?} &
+\cross{CARD}{recip} \\
+\cross{CARD}{retract} &
+\cross{CARD}{retractIfCan} \\
+\cross{CARD}{sample} &
+\cross{CARD}{zero?} \\
+\cross{CARD}{?\^{}?} &
+\cross{CARD}{?\~{}=?} \\
+\cross{CARD}{?*?} &
+\cross{CARD}{?**?} \\
+\cross{CARD}{?-?} &
+\cross{CARD}{?+?} \\
+\cross{CARD}{?$<$?} &
+\cross{CARD}{?$<=$?} \\
+\cross{CARD}{?=?} &
+\cross{CARD}{?$>$?} \\
+\cross{CARD}{?$>=$?} &
+\end{tabular}
+
 <<domain CARD CardinalNumber>>=
 )abbrev domain CARD CardinalNumber
 ++ Author: S.M. Watt
@@ -10758,6 +11410,37 @@ o )show CartesianTensor
 @
 \pagehead{CartesianTensor}{CARTEN}
 \pagepic{ps/v103cartesiantensor.ps}{CARTEN}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{CARTEN}{0} &
+\cross{CARTEN}{1} &
+\cross{CARTEN}{coerce} &
+\cross{CARTEN}{contract} &
+\cross{CARTEN}{degree} \\
+\cross{CARTEN}{elt} &
+\cross{CARTEN}{hash} &
+\cross{CARTEN}{kroneckerDelta} &
+\cross{CARTEN}{latex} &
+\cross{CARTEN}{leviCivitaSymbol} \\
+\cross{CARTEN}{product} &
+\cross{CARTEN}{rank} &
+\cross{CARTEN}{ravel} &
+\cross{CARTEN}{reindex} &
+\cross{CARTEN}{retract} \\
+\cross{CARTEN}{retractIfCan} &
+\cross{CARTEN}{sample} &
+\cross{CARTEN}{transpose} &
+\cross{CARTEN}{unravel} &
+\cross{CARTEN}{?\~{}=?} \\
+\cross{CARTEN}{?.?} &
+\cross{CARTEN}{?*?} &
+\cross{CARTEN}{?+?} &
+\cross{CARTEN}{?-?} &
+\cross{CARTEN}{-?} \\
+\cross{CARTEN}{?=?} &&&&
+\end{tabular}
+
 <<domain CARTEN CartesianTensor>>=
 )abbrev domain CARTEN CartesianTensor
 ++ Author: Stephen M. Watt
@@ -11579,6 +12262,39 @@ o )show Character
 \pageto{CharacterClass}{CCLASS}
 \pageto{IndexedString}{ISTRING}
 \pageto{String}{STRING}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{CHAR}{alphabetic?} &
+\cross{CHAR}{alphanumeric?} &
+\cross{CHAR}{char} &
+\cross{CHAR}{coerce} &
+\cross{CHAR}{digit?} \\
+\cross{CHAR}{escape} &
+\cross{CHAR}{hash} &
+\cross{CHAR}{hexDigit?} &
+\cross{CHAR}{index} &
+\cross{CHAR}{latex} \\
+\cross{CHAR}{lookup} &
+\cross{CHAR}{lowerCase} &
+\cross{CHAR}{lowerCase?} &
+\cross{CHAR}{max} &
+\cross{CHAR}{min} \\
+\cross{CHAR}{ord} &
+\cross{CHAR}{quote} &
+\cross{CHAR}{random} &
+\cross{CHAR}{size} &
+\cross{CHAR}{space} \\
+\cross{CHAR}{upperCase} &
+\cross{CHAR}{upperCase?} &
+\cross{CHAR}{?\~{}=?} &
+\cross{CHAR}{?$<$?} &
+\cross{CHAR}{?$<=$?} \\
+\cross{CHAR}{?=?} &
+\cross{CHAR}{?$>$?} &
+\cross{CHAR}{?$>=$?} &&
+\end{tabular}
+
 <<domain CHAR Character>>=
 )abbrev domain CHAR Character
 ++ Author: Stephen M. Watt
@@ -11961,6 +12677,81 @@ o )show CharacterClass
 \pageto{Character}{CHAR}
 \pageto{IndexedString}{ISTRING}
 \pageto{String}{STRING}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{CCLASS}{any?} &
+\cross{CCLASS}{alphabetic} &
+\cross{CCLASS}{alphanumeric} &
+\cross{CCLASS}{bag} &
+\cross{CCLASS}{brace} \\
+\cross{CCLASS}{brace} &
+\cross{CCLASS}{cardinality} &
+\cross{CCLASS}{charClass} &
+\cross{CCLASS}{coerce} &
+\cross{CCLASS}{complement} \\
+\cross{CCLASS}{construct} &
+\cross{CCLASS}{convert} &
+\cross{CCLASS}{copy} &
+\cross{CCLASS}{count} &
+\cross{CCLASS}{count} \\
+\cross{CCLASS}{dictionary} &
+\cross{CCLASS}{difference} &
+\cross{CCLASS}{digit} &
+\cross{CCLASS}{empty} &
+\cross{CCLASS}{empty?} \\
+\cross{CCLASS}{eq?} &
+\cross{CCLASS}{eval} &
+\cross{CCLASS}{eval} &
+\cross{CCLASS}{eval} &
+\cross{CCLASS}{eval} \\
+\cross{CCLASS}{every?} &
+\cross{CCLASS}{extract!} &
+\cross{CCLASS}{find} &
+\cross{CCLASS}{hash} &
+\cross{CCLASS}{hexDigit} \\
+\cross{CCLASS}{index} &
+\cross{CCLASS}{insert!} &
+\cross{CCLASS}{inspect} &
+\cross{CCLASS}{intersect} &
+\cross{CCLASS}{latex} \\
+\cross{CCLASS}{less?} &
+\cross{CCLASS}{lookup} &
+\cross{CCLASS}{lowerCase} &
+\cross{CCLASS}{map} &
+\cross{CCLASS}{map!} \\
+\cross{CCLASS}{max} &
+\cross{CCLASS}{member?} &
+\cross{CCLASS}{members} &
+\cross{CCLASS}{min} &
+\cross{CCLASS}{more?} \\
+\cross{CCLASS}{parts} &
+\cross{CCLASS}{random} &
+\cross{CCLASS}{reduce} &
+\cross{CCLASS}{reduce} &
+\cross{CCLASS}{reduce} \\
+\cross{CCLASS}{remove} &
+\cross{CCLASS}{remove} &
+\cross{CCLASS}{remove!} &
+\cross{CCLASS}{remove!} &
+\cross{CCLASS}{removeDuplicates} \\
+\cross{CCLASS}{sample} &
+\cross{CCLASS}{select} &
+\cross{CCLASS}{select!} &
+\cross{CCLASS}{set} &
+\cross{CCLASS}{size} \\
+\cross{CCLASS}{size?} &
+\cross{CCLASS}{subset?} &
+\cross{CCLASS}{symmetricDifference} &
+\cross{CCLASS}{union} &
+\cross{CCLASS}{universe} \\
+\cross{CCLASS}{upperCase} &
+\cross{CCLASS}{\#{}?} &
+\cross{CCLASS}{?$<$?} &
+\cross{CCLASS}{?=?} &
+\cross{CCLASS}{?\~{}=?} 
+\end{tabular}
+
 <<domain CCLASS CharacterClass>>=
 )abbrev domain CCLASS CharacterClass
 ++ Author: Stephen M. Watt
@@ -12888,6 +13679,35 @@ o $AXIOM/doc/src/algebra/clifford.spad
 \pagepic{ps/v103cliffordalgebra.ps}{CLIF}{1.00}
 {\bf See}\\
 \pageto{QuadraticForm}{QFORM}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{CLIF}{0} &
+\cross{CLIF}{1} &
+\cross{CLIF}{characteristic} &
+\cross{CLIF}{coefficient} &
+\cross{CLIF}{coerce} \\
+\cross{CLIF}{dimension} &
+\cross{CLIF}{e} &
+\cross{CLIF}{hash} &
+\cross{CLIF}{latex} &
+\cross{CLIF}{monomial} \\
+\cross{CLIF}{one?} &
+\cross{CLIF}{recip} &
+\cross{CLIF}{sample} &
+\cross{CLIF}{subtractIfCan} &
+\cross{CLIF}{zero?} \\
+\cross{CLIF}{?\~{}=?} &
+\cross{CLIF}{?*?} &
+\cross{CLIF}{?**?} &
+\cross{CLIF}{?\^{}?} &
+\cross{CLIF}{?+?} \\
+\cross{CLIF}{?-?} &
+\cross{CLIF}{-?} &
+\cross{CLIF}{?/?} &
+\cross{CLIF}{?=?} &
+\end{tabular}
+
 <<domain CLIF CliffordAlgebra>>=
 )abbrev domain CLIF CliffordAlgebra
 ++ Author: Stephen M. Watt
@@ -13104,6 +13924,25 @@ CliffordAlgebra(n, K, Q): T == Impl where
 \pagepic{ps/v103color.ps}{COLOR}{1.00}
 {\bf See}\\
 \pageto{Palette}{PALETTE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{COLOR}{blue} &
+\cross{COLOR}{coerce} &
+\cross{COLOR}{color} &
+\cross{COLOR}{green} &
+\cross{COLOR}{hash} \\
+\cross{COLOR}{hue} &
+\cross{COLOR}{latex} &
+\cross{COLOR}{numberOfHues} &
+\cross{COLOR}{red} &
+\cross{COLOR}{yellow} \\
+\cross{COLOR}{?\~{}=?} &
+\cross{COLOR}{?*?} &
+\cross{COLOR}{?+?} &
+\cross{COLOR}{?=?} &
+\end{tabular}
+
 <<domain COLOR Color>>=
 )abbrev domain COLOR Color
 ++ Author: Jim Wen
@@ -13211,6 +14050,17 @@ Color(): Exports == Implementation where
 {\bf See}\\
 \pageto{OrdSetInts}{OSI}
 \pageto{FreeNilpotentLie}{FNLA}
+
+{\bf Exports:}\\
+\begin{tabular}{llllll}
+\cross{COMM}{coerce} &
+\cross{COMM}{hash} &
+\cross{COMM}{latex} &
+\cross{COMM}{mkcomm} &
+\cross{COMM}{?=?} &
+\cross{COMM}{?\~{}=?} 
+\end{tabular}
+
 <<domain COMM Commutator>>=
 )abbrev domain COMM Commutator
 ++ Author : Larry Lambe
@@ -13542,6 +14392,147 @@ o )show Complex
 @
 \pagehead{Complex}{COMPLEX}
 \pagepic{ps/v103complex.ps}{COMPLEX}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{COMPLEX}{0} &
+\cross{COMPLEX}{1} &
+\cross{COMPLEX}{abs} \\
+\cross{COMPLEX}{acos} &
+\cross{COMPLEX}{acosh} &
+\cross{COMPLEX}{acot} \\
+\cross{COMPLEX}{acoth} &
+\cross{COMPLEX}{acsc} &
+\cross{COMPLEX}{acsch} \\
+\cross{COMPLEX}{argument} &
+\cross{COMPLEX}{asec} &
+\cross{COMPLEX}{asech} \\
+\cross{COMPLEX}{asin} &
+\cross{COMPLEX}{asinh} &
+\cross{COMPLEX}{associates?} \\
+\cross{COMPLEX}{atan} &
+\cross{COMPLEX}{atanh} &
+\cross{COMPLEX}{basis} \\
+\cross{COMPLEX}{characteristic} &
+\cross{COMPLEX}{characteristicPolynomial} &
+\cross{COMPLEX}{charthRoot} \\
+\cross{COMPLEX}{coerce} &
+\cross{COMPLEX}{complex} &
+\cross{COMPLEX}{conditionP} \\
+\cross{COMPLEX}{conjugate} &
+\cross{COMPLEX}{convert} &
+\cross{COMPLEX}{coordinates} \\
+\cross{COMPLEX}{cos} &
+\cross{COMPLEX}{cosh} &
+\cross{COMPLEX}{cot} \\
+\cross{COMPLEX}{coth} &
+\cross{COMPLEX}{createPrimitiveElement} &
+\cross{COMPLEX}{csc} \\
+\cross{COMPLEX}{csch} &
+\cross{COMPLEX}{D} &
+\cross{COMPLEX}{definingPolynomial} \\
+\cross{COMPLEX}{derivationCoordinates} &
+\cross{COMPLEX}{differentiate} &
+\cross{COMPLEX}{discreteLog} \\
+\cross{COMPLEX}{discriminant} &
+\cross{COMPLEX}{divide} &
+\cross{COMPLEX}{euclideanSize} \\
+\cross{COMPLEX}{eval} &
+\cross{COMPLEX}{exp} &
+\cross{COMPLEX}{expressIdealMember} \\
+\cross{COMPLEX}{exquo} &
+\cross{COMPLEX}{extendedEuclidean} &
+\cross{COMPLEX}{factor} \\
+\cross{COMPLEX}{factorPolynomial} &
+\cross{COMPLEX}{factorSquareFreePolynomial} &
+\cross{COMPLEX}{factorsOfCyclicGroupSize} \\
+\cross{COMPLEX}{gcd} &
+\cross{COMPLEX}{gcdPolynomial} &
+\cross{COMPLEX}{generator} \\
+\cross{COMPLEX}{hash} &
+\cross{COMPLEX}{imag} &
+\cross{COMPLEX}{imaginary} \\
+\cross{COMPLEX}{index} &
+\cross{COMPLEX}{init} &
+\cross{COMPLEX}{inv} \\
+\cross{COMPLEX}{latex} &
+\cross{COMPLEX}{lcm} &
+\cross{COMPLEX}{lift} \\
+\cross{COMPLEX}{log} &
+\cross{COMPLEX}{lookup} &
+\cross{COMPLEX}{map} \\
+\cross{COMPLEX}{max} &
+\cross{COMPLEX}{min} &
+\cross{COMPLEX}{minimalPolynomial} \\
+\cross{COMPLEX}{multiEuclidean} &
+\cross{COMPLEX}{nextItem} &
+\cross{COMPLEX}{norm} \\
+\cross{COMPLEX}{nthRoot} &
+\cross{COMPLEX}{OMwrite} &
+\cross{COMPLEX}{one?} \\
+\cross{COMPLEX}{order} &
+\cross{COMPLEX}{patternMatch} &
+\cross{COMPLEX}{pi} \\
+\cross{COMPLEX}{polarCoordinates} &
+\cross{COMPLEX}{prime?} &
+\cross{COMPLEX}{primeFrobenius} \\
+\cross{COMPLEX}{primitive?} &
+\cross{COMPLEX}{primitiveElement} &
+\cross{COMPLEX}{principalIdeal} \\
+\cross{COMPLEX}{random} &
+\cross{COMPLEX}{rank} &
+\cross{COMPLEX}{rational} \\
+\cross{COMPLEX}{rational?} &
+\cross{COMPLEX}{rationalIfCan} &
+\cross{COMPLEX}{real} \\
+\cross{COMPLEX}{recip} &
+\cross{COMPLEX}{reduce} &
+\cross{COMPLEX}{reducedSystem} \\
+\cross{COMPLEX}{regularRepresentation} &
+\cross{COMPLEX}{representationType} &
+\cross{COMPLEX}{represents} \\
+\cross{COMPLEX}{retract} &
+\cross{COMPLEX}{retractIfCan} &
+\cross{COMPLEX}{sample} \\
+\cross{COMPLEX}{sec} &
+\cross{COMPLEX}{sech} &
+\cross{COMPLEX}{sin} \\
+\cross{COMPLEX}{sinh} &
+\cross{COMPLEX}{size} &
+\cross{COMPLEX}{sizeLess?} \\
+\cross{COMPLEX}{solveLinearPolynomialEquation} &
+\cross{COMPLEX}{sqrt} &
+\cross{COMPLEX}{squareFree} \\
+\cross{COMPLEX}{squareFreePart} &
+\cross{COMPLEX}{squareFreePolynomial} &
+\cross{COMPLEX}{subtractIfCan} \\
+\cross{COMPLEX}{tableForDiscreteLogarithm} &
+\cross{COMPLEX}{tan} &
+\cross{COMPLEX}{tanh} \\
+\cross{COMPLEX}{trace} &
+\cross{COMPLEX}{traceMatrix} &
+\cross{COMPLEX}{unit?} \\
+\cross{COMPLEX}{unitCanonical} &
+\cross{COMPLEX}{unitNormal} &
+\cross{COMPLEX}{zero?} \\
+\cross{COMPLEX}{?*?} &
+\cross{COMPLEX}{?**?} &
+\cross{COMPLEX}{?+?} \\
+\cross{COMPLEX}{?-?} &
+\cross{COMPLEX}{-?} &
+\cross{COMPLEX}{?=?} \\
+\cross{COMPLEX}{?\^{}?} &
+\cross{COMPLEX}{?\~{}=?} &
+\cross{COMPLEX}{?/?} \\
+\cross{COMPLEX}{?$<$?} &
+\cross{COMPLEX}{?$<=$?} &
+\cross{COMPLEX}{?$>$?} \\
+\cross{COMPLEX}{?$>=$?} &
+\cross{COMPLEX}{?.?} &
+\cross{COMPLEX}{?quo?} \\
+\cross{COMPLEX}{?rem?} &&
+\end{tabular}
+
 <<domain COMPLEX Complex>>=
 )abbrev domain COMPLEX Complex
 ++ Author:
@@ -14181,6 +15172,66 @@ o )show ContinuedFraction
 @
 \pagehead{ContinuedFraction}{CONTFRAC}
 \pagepic{ps/v103continuedfraction.ps}{CONTFRAC}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{CONTFRAC}{0} &
+\cross{CONTFRAC}{1} &
+\cross{CONTFRAC}{approximants} \\
+\cross{CONTFRAC}{associates?} &
+\cross{CONTFRAC}{characteristic} &
+\cross{CONTFRAC}{coerce} \\
+\cross{CONTFRAC}{complete} &
+\cross{CONTFRAC}{continuedFraction} &
+\cross{CONTFRAC}{convergents} \\
+\cross{CONTFRAC}{denominators} &
+\cross{CONTFRAC}{divide} &
+\cross{CONTFRAC}{extend} \\
+\cross{CONTFRAC}{euclideanSize} &
+\cross{CONTFRAC}{expressIdealMember} &
+\cross{CONTFRAC}{exquo} \\
+\cross{CONTFRAC}{extendedEuclidean} &
+\cross{CONTFRAC}{factor} &
+\cross{CONTFRAC}{gcd} \\
+\cross{CONTFRAC}{gcdPolynomial} &
+\cross{CONTFRAC}{hash} &
+\cross{CONTFRAC}{inv} \\
+\cross{CONTFRAC}{latex} &
+\cross{CONTFRAC}{lcm} &
+\cross{CONTFRAC}{multiEuclidean} \\
+\cross{CONTFRAC}{numerators} &
+\cross{CONTFRAC}{one?} &
+\cross{CONTFRAC}{partialDenominators} \\
+\cross{CONTFRAC}{partialNumerators} &
+\cross{CONTFRAC}{partialQuotients} &
+\cross{CONTFRAC}{prime?} \\
+\cross{CONTFRAC}{principalIdeal} &
+\cross{CONTFRAC}{recip} &
+\cross{CONTFRAC}{reducedContinuedFraction} \\
+\cross{CONTFRAC}{reducedForm} &
+\cross{CONTFRAC}{sample} &
+\cross{CONTFRAC}{sizeLess?} \\
+\cross{CONTFRAC}{squareFree} &
+\cross{CONTFRAC}{squareFreePart} &
+\cross{CONTFRAC}{subtractIfCan} \\
+\cross{CONTFRAC}{unit?} &
+\cross{CONTFRAC}{unitCanonical} &
+\cross{CONTFRAC}{unitNormal} \\
+\cross{CONTFRAC}{wholePart} &
+\cross{CONTFRAC}{zero?} &
+\cross{CONTFRAC}{?*?} \\
+\cross{CONTFRAC}{?**?} &
+\cross{CONTFRAC}{?+?} &
+\cross{CONTFRAC}{?-?} \\
+\cross{CONTFRAC}{-?} &
+\cross{CONTFRAC}{?/?} &
+\cross{CONTFRAC}{?=?} \\
+\cross{CONTFRAC}{?\^{}?} &
+\cross{CONTFRAC}{?\~{}=?} &
+\cross{CONTFRAC}{?quo?} \\
+\cross{CONTFRAC}{?rem?} &&
+\end{tabular}
+
 <<domain CONTFRAC ContinuedFraction>>=
 )abbrev domain CONTFRAC ContinuedFraction
 ++ Author: Stephen M. Watt
@@ -14522,6 +15573,21 @@ ContinuedFraction(R): Exports == Implementation where
 \pageto{DataList}{DLIST}
 \pageto{IndexCard}{ICARD}
 \pageto{QueryEquation}{QEQUAT}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{DBASE}{coerce} &
+\cross{DBASE}{display} &
+\cross{DBASE}{fullDisplay} &
+\cross{DBASE}{hash} &
+\cross{DBASE}{latex} \\
+\cross{DBASE}{?+?} &
+\cross{DBASE}{?-?} &
+\cross{DBASE}{?=?} &
+\cross{DBASE}{?\~{}=?} &
+\cross{DBASE}{?.?} 
+\end{tabular}
+
 <<domain DBASE Database>>=
 )abbrev domain DBASE Database
 ++ This domain implements a simple view of a database whose fields are 
@@ -14585,6 +15651,115 @@ Database(S): Exports == Implementation where
 \pageto{IndexCard}{ICARD}
 \pageto{Database}{DBASE}
 \pageto{QueryEquation}{QEQUAT}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{DLIST}{any?} &
+\cross{DLIST}{child?} &
+\cross{DLIST}{children} &
+\cross{DLIST}{coerce} &
+\cross{DLIST}{concat} \\
+\cross{DLIST}{concat!} &
+\cross{DLIST}{construct} &
+\cross{DLIST}{convert} &
+\cross{DLIST}{copy} &
+\cross{DLIST}{copyInto!} \\
+\cross{DLIST}{count} &
+\cross{DLIST}{cycleEntry} &
+\cross{DLIST}{cycleLength} &
+\cross{DLIST}{cycleSplit!} &
+\cross{DLIST}{cycleTail} \\
+\cross{DLIST}{cyclic?} &
+\cross{DLIST}{datalist} &
+\cross{DLIST}{delete} &
+\cross{DLIST}{delete!} &
+\cross{DLIST}{distance} \\
+\cross{DLIST}{elt} &
+\cross{DLIST}{empty} &
+\cross{DLIST}{empty?} &
+\cross{DLIST}{entries} &
+\cross{DLIST}{entry?} \\
+\cross{DLIST}{eq?} &
+\cross{DLIST}{eval} &
+\cross{DLIST}{every?} &
+\cross{DLIST}{explicitlyFinite?} &
+\cross{DLIST}{fill!} \\
+\cross{DLIST}{find} &
+\cross{DLIST}{first} &
+\cross{DLIST}{hash} &
+\cross{DLIST}{index?} &
+\cross{DLIST}{indices} \\
+\cross{DLIST}{insert} &
+\cross{DLIST}{insert!} &
+\cross{DLIST}{last} &
+\cross{DLIST}{latex} &
+\cross{DLIST}{leaf?} \\
+\cross{DLIST}{leaves} &
+\cross{DLIST}{less?} &
+\cross{DLIST}{list} &
+\cross{DLIST}{map} &
+\cross{DLIST}{map!} \\
+\cross{DLIST}{max} &
+\cross{DLIST}{maxIndex} &
+\cross{DLIST}{member?} &
+\cross{DLIST}{members} &
+\cross{DLIST}{merge} \\
+\cross{DLIST}{merge!} &
+\cross{DLIST}{min} &
+\cross{DLIST}{minIndex} &
+\cross{DLIST}{more?} &
+\cross{DLIST}{new} \\
+\cross{DLIST}{node?} &
+\cross{DLIST}{nodes} &
+\cross{DLIST}{parts} &
+\cross{DLIST}{position} &
+\cross{DLIST}{possiblyInfinite?} \\
+\cross{DLIST}{qelt} &
+\cross{DLIST}{qsetelt!} &
+\cross{DLIST}{reduce} &
+\cross{DLIST}{remove} &
+\cross{DLIST}{remove!} \\
+\cross{DLIST}{removeDuplicates} &
+\cross{DLIST}{removeDuplicates!} &
+\cross{DLIST}{rest} &
+\cross{DLIST}{reverse} &
+\cross{DLIST}{reverse!} \\
+\cross{DLIST}{sample} &
+\cross{DLIST}{second} &
+\cross{DLIST}{select} &
+\cross{DLIST}{select!} &
+\cross{DLIST}{setchildren!} \\
+\cross{DLIST}{setelt} &
+\cross{DLIST}{setfirst!} &
+\cross{DLIST}{setlast!} &
+\cross{DLIST}{setrest!} &
+\cross{DLIST}{setvalue!} \\
+\cross{DLIST}{size?} &
+\cross{DLIST}{sort} &
+\cross{DLIST}{sort!} &
+\cross{DLIST}{sorted?} &
+\cross{DLIST}{split!} \\
+\cross{DLIST}{swap!} &
+\cross{DLIST}{tail} &
+\cross{DLIST}{third} &
+\cross{DLIST}{value} &
+\cross{DLIST}{\#{}?} \\
+\cross{DLIST}{?$<$?} &
+\cross{DLIST}{?$<=$?} &
+\cross{DLIST}{?=?} &
+\cross{DLIST}{?$>$?} &
+\cross{DLIST}{?$>=$?} \\
+\cross{DLIST}{?.?} &
+\cross{DLIST}{?\~{}=?} &
+\cross{DLIST}{?.count} &
+\cross{DLIST}{?.sort} &
+\cross{DLIST}{?.unique} \\
+\cross{DLIST}{?.last} &
+\cross{DLIST}{?.rest} &
+\cross{DLIST}{?.first} &
+\cross{DLIST}{?.value} &
+\end{tabular}
+
 <<domain DLIST DataList>>=
 )abbrev domain DLIST DataList
 ++ This domain provides some nice functions on lists
@@ -14778,6 +15953,91 @@ o )show DecimalExpansion
 \pageto{RadixExpansion}{RADIX}
 \pageto{BinaryExpansion}{BINARY}
 \pageto{HexadecimalExpansion}{HEXADEC}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{DECIMAL}{0} &
+\cross{DECIMAL}{1} &
+\cross{DECIMAL}{abs} \\
+\cross{DECIMAL}{associates?} &
+\cross{DECIMAL}{ceiling} &
+\cross{DECIMAL}{characteristic} \\
+\cross{DECIMAL}{charthRoot} &
+\cross{DECIMAL}{coerce} &
+\cross{DECIMAL}{conditionP} \\
+\cross{DECIMAL}{convert} &
+\cross{DECIMAL}{D} &
+\cross{DECIMAL}{decimal} \\
+\cross{DECIMAL}{denom} &
+\cross{DECIMAL}{denominator} &
+\cross{DECIMAL}{differentiate} \\
+\cross{DECIMAL}{divide} &
+\cross{DECIMAL}{euclideanSize} &
+\cross{DECIMAL}{eval} \\
+\cross{DECIMAL}{expressIdealMember} &
+\cross{DECIMAL}{exquo} &
+\cross{DECIMAL}{extendedEuclidean} \\
+\cross{DECIMAL}{factor} &
+\cross{DECIMAL}{factorPolynomial} &
+\cross{DECIMAL}{factorSquareFreePolynomial} \\
+\cross{DECIMAL}{floor} &
+\cross{DECIMAL}{fractionPart} &
+\cross{DECIMAL}{gcd} \\
+\cross{DECIMAL}{gcdPolynomial} &
+\cross{DECIMAL}{hash} &
+\cross{DECIMAL}{init} \\
+\cross{DECIMAL}{inv} &
+\cross{DECIMAL}{latex} &
+\cross{DECIMAL}{lcm} \\
+\cross{DECIMAL}{map} &
+\cross{DECIMAL}{max} &
+\cross{DECIMAL}{min} \\
+\cross{DECIMAL}{multiEuclidean} &
+\cross{DECIMAL}{negative?} &
+\cross{DECIMAL}{nextItem} \\
+\cross{DECIMAL}{numer} &
+\cross{DECIMAL}{numerator} &
+\cross{DECIMAL}{one?} \\
+\cross{DECIMAL}{patternMatch} &
+\cross{DECIMAL}{positive?} &
+\cross{DECIMAL}{prime?} \\
+\cross{DECIMAL}{principalIdeal} &
+\cross{DECIMAL}{random} &
+\cross{DECIMAL}{recip} \\
+\cross{DECIMAL}{reducedSystem} &
+\cross{DECIMAL}{retract} &
+\cross{DECIMAL}{retractIfCan} \\
+\cross{DECIMAL}{sample} &
+\cross{DECIMAL}{sign} &
+\cross{DECIMAL}{sizeLess?} \\
+\cross{DECIMAL}{solveLinearPolynomialEquation} &
+\cross{DECIMAL}{squareFree} &
+\cross{DECIMAL}{squareFreePart} \\
+\cross{DECIMAL}{squareFreePolynomial} &
+\cross{DECIMAL}{subtractIfCan} &
+\cross{DECIMAL}{unit?} \\
+\cross{DECIMAL}{unitCanonical} &
+\cross{DECIMAL}{unitNormal} &
+\cross{DECIMAL}{wholePart} \\
+\cross{DECIMAL}{zero?} &
+\cross{DECIMAL}{?*?} &
+\cross{DECIMAL}{?**?} \\
+\cross{DECIMAL}{?+?} &
+\cross{DECIMAL}{?-?} &
+\cross{DECIMAL}{-?} \\
+\cross{DECIMAL}{?/?} &
+\cross{DECIMAL}{?=?} &
+\cross{DECIMAL}{?\^{}?} \\
+\cross{DECIMAL}{?\~{}=?} &
+\cross{DECIMAL}{?$<$?} &
+\cross{DECIMAL}{?$<=$?} \\
+\cross{DECIMAL}{?$>$?} &
+\cross{DECIMAL}{?$>=$?} &
+\cross{DECIMAL}{?.?} \\
+\cross{DECIMAL}{?quo?} &
+\cross{DECIMAL}{?rem?} 
+\end{tabular}
+
 <<domain DECIMAL DecimalExpansion>>=
 )abbrev domain DECIMAL DecimalExpansion
 ++ Author: Stephen M. Watt
@@ -16407,6 +17667,87 @@ description is in terms of a vector and angle of rotation.
 
 \pagehead{DenavitHartenbergMatrix}{DHMATRIX}
 \pagepic{ps/v103denavithartenbergmatrix.ps}{DHMATRIX}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{DHMATRIX}{antisymmetric?} &
+\cross{DHMATRIX}{any?} &
+\cross{DHMATRIX}{coerce} &
+\cross{DHMATRIX}{column} &
+\cross{DHMATRIX}{copy} \\
+\cross{DHMATRIX}{count} &
+\cross{DHMATRIX}{determinant} &
+\cross{DHMATRIX}{diagonal?} &
+\cross{DHMATRIX}{diagonalMatrix} &
+\cross{DHMATRIX}{elt} \\
+\cross{DHMATRIX}{empty} &
+\cross{DHMATRIX}{empty?} &
+\cross{DHMATRIX}{eq?} &
+\cross{DHMATRIX}{eval} &
+\cross{DHMATRIX}{every?} \\
+\cross{DHMATRIX}{exquo} &
+\cross{DHMATRIX}{fill!} &
+\cross{DHMATRIX}{hash} &
+\cross{DHMATRIX}{horizConcat} &
+\cross{DHMATRIX}{identity} \\
+\cross{DHMATRIX}{inverse} &
+\cross{DHMATRIX}{latex} &
+\cross{DHMATRIX}{less?} &
+\cross{DHMATRIX}{listOfLists} &
+\cross{DHMATRIX}{map} \\
+\cross{DHMATRIX}{map!} &
+\cross{DHMATRIX}{matrix} &
+\cross{DHMATRIX}{maxColIndex} &
+\cross{DHMATRIX}{maxRowIndex} &
+\cross{DHMATRIX}{member?} \\
+\cross{DHMATRIX}{members} &
+\cross{DHMATRIX}{minColIndex} &
+\cross{DHMATRIX}{minordet} &
+\cross{DHMATRIX}{minRowIndex} &
+\cross{DHMATRIX}{more?} \\
+\cross{DHMATRIX}{ncols} &
+\cross{DHMATRIX}{new} &
+\cross{DHMATRIX}{nrows} &
+\cross{DHMATRIX}{nullSpace} &
+\cross{DHMATRIX}{nullity} \\
+\cross{DHMATRIX}{parts} &
+\cross{DHMATRIX}{qelt} &
+\cross{DHMATRIX}{qsetelt!} &
+\cross{DHMATRIX}{rank} &
+\cross{DHMATRIX}{rotatex} \\
+\cross{DHMATRIX}{rotatey} &
+\cross{DHMATRIX}{rotatez} &
+\cross{DHMATRIX}{row} &
+\cross{DHMATRIX}{rowEchelon} &
+\cross{DHMATRIX}{sample} \\
+\cross{DHMATRIX}{scalarMatrix} &
+\cross{DHMATRIX}{scale} &
+\cross{DHMATRIX}{setColumn!} &
+\cross{DHMATRIX}{setRow!} &
+\cross{DHMATRIX}{setelt} \\
+\cross{DHMATRIX}{setsubMatrix!} &
+\cross{DHMATRIX}{size?} &
+\cross{DHMATRIX}{square?} &
+\cross{DHMATRIX}{squareTop} &
+\cross{DHMATRIX}{subMatrix} \\
+\cross{DHMATRIX}{swapColumns!} &
+\cross{DHMATRIX}{swapRows!} &
+\cross{DHMATRIX}{symmetric?} &
+\cross{DHMATRIX}{translate} &
+\cross{DHMATRIX}{transpose} \\
+\cross{DHMATRIX}{vertConcat} &
+\cross{DHMATRIX}{zero} &
+\cross{DHMATRIX}{\#{}?} &
+\cross{DHMATRIX}{?**?} &
+\cross{DHMATRIX}{?/?} \\
+\cross{DHMATRIX}{?=?} &
+\cross{DHMATRIX}{?\~{}=?} &
+\cross{DHMATRIX}{?*?} &
+\cross{DHMATRIX}{?+?} &
+\cross{DHMATRIX}{-?} \\
+\cross{DHMATRIX}{?-?} &&&&
+\end{tabular}
+
 <<domain DHMATRIX DenavitHartenbergMatrix>>=
 
 ++ 4x4 Matrices for coordinate transformations
@@ -16513,6 +17854,57 @@ DenavitHartenbergMatrix(R): Exports == Implementation where
 \pageto{ArrayStack}{ASTACK}
 \pageto{Queue}{QUEUE}
 \pageto{Heap}{HEAP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{DEQUEUE}{any?} &
+\cross{DEQUEUE}{back} &
+\cross{DEQUEUE}{bag} &
+\cross{DEQUEUE}{bottom!} &
+\cross{DEQUEUE}{coerce} \\
+\cross{DEQUEUE}{copy} &
+\cross{DEQUEUE}{count} &
+\cross{DEQUEUE}{depth} &
+\cross{DEQUEUE}{dequeue} &
+\cross{DEQUEUE}{dequeue!} \\
+\cross{DEQUEUE}{empty} &
+\cross{DEQUEUE}{empty?} &
+\cross{DEQUEUE}{enqueue!} &
+\cross{DEQUEUE}{eq?} &
+\cross{DEQUEUE}{eval} \\
+\cross{DEQUEUE}{every?} &
+\cross{DEQUEUE}{extract!} &
+\cross{DEQUEUE}{extractBottom!} &
+\cross{DEQUEUE}{extractTop!} &
+\cross{DEQUEUE}{front} \\
+\cross{DEQUEUE}{height} &
+\cross{DEQUEUE}{hash} &
+\cross{DEQUEUE}{insert!} &
+\cross{DEQUEUE}{insertBottom!} &
+\cross{DEQUEUE}{insertTop!} \\
+\cross{DEQUEUE}{inspect} &
+\cross{DEQUEUE}{latex} &
+\cross{DEQUEUE}{length} &
+\cross{DEQUEUE}{less?} &
+\cross{DEQUEUE}{map} \\
+\cross{DEQUEUE}{map!} &
+\cross{DEQUEUE}{member?} &
+\cross{DEQUEUE}{members} &
+\cross{DEQUEUE}{more?} &
+\cross{DEQUEUE}{parts} \\
+\cross{DEQUEUE}{pop!} &
+\cross{DEQUEUE}{push!} &
+\cross{DEQUEUE}{reverse!} &
+\cross{DEQUEUE}{rotate!} &
+\cross{DEQUEUE}{sample} \\
+\cross{DEQUEUE}{size?} &
+\cross{DEQUEUE}{top} &
+\cross{DEQUEUE}{top!} &
+\cross{DEQUEUE}{\#?} &
+\cross{DEQUEUE}{?=?} \\
+\cross{DEQUEUE}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain DEQUEUE Dequeue>>=
 )abbrev domain DEQUEUE Dequeue
 ++ Author: Michael Monagan and Stephen Watt
@@ -17161,6 +18553,43 @@ o )show DeRhamComplex
 {\bf See}\\
 \pageto{ExtAlgBasis}{EAB}
 \pageto{AntiSymm}{ANTISYM}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{DERHAM}{0} &
+\cross{DERHAM}{1} &
+\cross{DERHAM}{characteristic} &
+\cross{DERHAM}{coefficient} \\
+\cross{DERHAM}{coerce} &
+\cross{DERHAM}{degree} &
+\cross{DERHAM}{exteriorDifferential} &
+\cross{DERHAM}{generator} \\
+\cross{DERHAM}{hash} &
+\cross{DERHAM}{homogeneous?} &
+\cross{DERHAM}{latex} &
+\cross{DERHAM}{leadingBasisTerm} \\
+\cross{DERHAM}{leadingCoefficient} &
+\cross{DERHAM}{map} &
+\cross{DERHAM}{one?} &
+\cross{DERHAM}{recip} \\
+\cross{DERHAM}{reductum} &
+\cross{DERHAM}{retract} &
+\cross{DERHAM}{retractable?} &
+\cross{DERHAM}{retractIfCan} \\
+\cross{DERHAM}{sample} &
+\cross{DERHAM}{subtractIfCan} &
+\cross{DERHAM}{totalDifferential} &
+\cross{DERHAM}{zero?} \\
+\cross{DERHAM}{?\~{}=?} &
+\cross{DERHAM}{?*?} &
+\cross{DERHAM}{?**?} &
+\cross{DERHAM}{?\^{}?} \\
+\cross{DERHAM}{?+?} &
+\cross{DERHAM}{?-?} &
+\cross{DERHAM}{-?} &
+\cross{DERHAM}{?=?} 
+\end{tabular}
+
 <<domain DERHAM DeRhamComplex>>=
 )abbrev domain DERHAM DeRhamComplex
 ++ Author: Larry A. Lambe
@@ -17289,6 +18718,102 @@ DeRhamComplex(CoefRing,listIndVar:List Symbol): Export == Implement where
 \pageto{SequentialDifferentialVariable}{SDVAR}
 \pageto{OrderlyDifferentialPolynomial}{ODPOL}
 \pageto{SequentialDifferentialPolynomial}{SDPOL}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{DSMP}{0} &
+\cross{DSMP}{1} &
+\cross{DSMP}{associates?} \\
+\cross{DSMP}{binomThmExpt} &
+\cross{DSMP}{characteristic} &
+\cross{DSMP}{charthRoot} \\
+\cross{DSMP}{coefficient} &
+\cross{DSMP}{coefficients} &
+\cross{DSMP}{coerce} \\
+\cross{DSMP}{conditionP} &
+\cross{DSMP}{content} &
+\cross{DSMP}{convert} \\
+\cross{DSMP}{D} &
+\cross{DSMP}{degree} &
+\cross{DSMP}{differentialVariables} \\
+\cross{DSMP}{differentiate} &
+\cross{DSMP}{discriminant} &
+\cross{DSMP}{eval} \\
+\cross{DSMP}{exquo} &
+\cross{DSMP}{factor} &
+\cross{DSMP}{factorPolynomial} \\
+\cross{DSMP}{factorSquareFreePolynomial} &
+\cross{DSMP}{gcd} &
+\cross{DSMP}{gcdPolynomial} \\
+\cross{DSMP}{ground} &
+\cross{DSMP}{ground?} &
+\cross{DSMP}{hash} \\
+\cross{DSMP}{initial} &
+\cross{DSMP}{isExpt} &
+\cross{DSMP}{isobaric?} \\
+\cross{DSMP}{isPlus} &
+\cross{DSMP}{isTimes} &
+\cross{DSMP}{latex} \\
+\cross{DSMP}{lcm} &
+\cross{DSMP}{leader} &
+\cross{DSMP}{leadingCoefficient} \\
+\cross{DSMP}{leadingMonomial} &
+\cross{DSMP}{makeVariable} &
+\cross{DSMP}{map} \\
+\cross{DSMP}{mapExponents} &
+\cross{DSMP}{max} &
+\cross{DSMP}{min} \\
+\cross{DSMP}{minimumDegree} &
+\cross{DSMP}{monicDivide} &
+\cross{DSMP}{monomial} \\
+\cross{DSMP}{monomials} &
+\cross{DSMP}{monomial?} &
+\cross{DSMP}{multivariate} \\
+\cross{DSMP}{numberOfMonomials} &
+\cross{DSMP}{one?} &
+\cross{DSMP}{order} \\
+\cross{DSMP}{patternMatch} &
+\cross{DSMP}{pomopo!} &
+\cross{DSMP}{prime?} \\
+\cross{DSMP}{primitiveMonomials} &
+\cross{DSMP}{primitivePart} &
+\cross{DSMP}{recip} \\
+\cross{DSMP}{reducedSystem} &
+\cross{DSMP}{reductum} &
+\cross{DSMP}{resultant} \\
+\cross{DSMP}{retract} &
+\cross{DSMP}{retractIfCan} &
+\cross{DSMP}{sample} \\
+\cross{DSMP}{separant} &
+\cross{DSMP}{solveLinearPolynomialEquation} &
+\cross{DSMP}{squareFree} \\
+\cross{DSMP}{squareFreePart} &
+\cross{DSMP}{squareFreePolynomial} &
+\cross{DSMP}{subtractIfCan} \\
+\cross{DSMP}{totalDegree} &
+\cross{DSMP}{unit?} &
+\cross{DSMP}{unitCanonical} \\
+\cross{DSMP}{unitNormal} &
+\cross{DSMP}{univariate} &
+\cross{DSMP}{variables} \\
+\cross{DSMP}{weight} &
+\cross{DSMP}{weights} &
+\cross{DSMP}{zero?} \\
+\cross{DSMP}{?*?} &
+\cross{DSMP}{?**?} &
+\cross{DSMP}{?+?} \\
+\cross{DSMP}{?-?} &
+\cross{DSMP}{-?} &
+\cross{DSMP}{?=?} \\
+\cross{DSMP}{?\^{}?} &
+\cross{DSMP}{?\~{}=?} &
+\cross{DSMP}{?/?} \\
+\cross{DSMP}{?$<$?} &
+\cross{DSMP}{?$<=$?} &
+\cross{DSMP}{?$>$?} \\
+\cross{DSMP}{?$>=$?} &&
+\end{tabular}
+
 <<domain DSMP DifferentialSparseMultivariatePolynomial>>=
 )abbrev domain DSMP DifferentialSparseMultivariatePolynomial
 ++ Author:  William Sit
@@ -17345,6 +18870,86 @@ DifferentialSparseMultivariatePolynomial(R, S, V):
 \section{domain DIRPROD DirectProduct}
 \pagehead{DirectProduct}{DIRPROD}
 \pagepic{ps/v103directproduct.ps}{DIRPROD}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{DIRPROD}{0} &
+\cross{DIRPROD}{1} &
+\cross{DIRPROD}{abs} &
+\cross{DIRPROD}{any?} &
+\cross{DIRPROD}{characteristic} \\
+\cross{DIRPROD}{coerce} &
+\cross{DIRPROD}{copy} &
+\cross{DIRPROD}{count} &
+\cross{DIRPROD}{D} &
+\cross{DIRPROD}{differentiate} \\
+\cross{DIRPROD}{dimension} &
+\cross{DIRPROD}{directProduct} &
+\cross{DIRPROD}{dot} &
+\cross{DIRPROD}{elt} &
+\cross{DIRPROD}{empty} \\
+\cross{DIRPROD}{empty?} &
+\cross{DIRPROD}{entries} &
+\cross{DIRPROD}{entry?} &
+\cross{DIRPROD}{eq?} &
+\cross{DIRPROD}{eval} \\
+\cross{DIRPROD}{every?} &
+\cross{DIRPROD}{fill!} &
+\cross{DIRPROD}{first} &
+\cross{DIRPROD}{hash} &
+\cross{DIRPROD}{index} \\
+\cross{DIRPROD}{index?} &
+\cross{DIRPROD}{indices} &
+\cross{DIRPROD}{latex} &
+\cross{DIRPROD}{less?} &
+\cross{DIRPROD}{lookup} \\
+\cross{DIRPROD}{map} &
+\cross{DIRPROD}{map!} &
+\cross{DIRPROD}{max} &
+\cross{DIRPROD}{maxIndex} &
+\cross{DIRPROD}{member?} \\
+\cross{DIRPROD}{members} &
+\cross{DIRPROD}{min} &
+\cross{DIRPROD}{minIndex} &
+\cross{DIRPROD}{more?} &
+\cross{DIRPROD}{negative?} \\
+\cross{DIRPROD}{one?} &
+\cross{DIRPROD}{parts} &
+\cross{DIRPROD}{positive?} &
+\cross{DIRPROD}{qelt} &
+\cross{DIRPROD}{qsetelt!} \\
+\cross{DIRPROD}{random} &
+\cross{DIRPROD}{recip} &
+\cross{DIRPROD}{reducedSystem} &
+\cross{DIRPROD}{retract} &
+\cross{DIRPROD}{retractIfCan} \\
+\cross{DIRPROD}{sample} &
+\cross{DIRPROD}{setelt} &
+\cross{DIRPROD}{sign} &
+\cross{DIRPROD}{size} &
+\cross{DIRPROD}{size?} \\
+\cross{DIRPROD}{subtractIfCan} &
+\cross{DIRPROD}{sup} &
+\cross{DIRPROD}{swap!} &
+\cross{DIRPROD}{unitVector} &
+\cross{DIRPROD}{zero?} \\
+\cross{DIRPROD}{\#{}?} &
+\cross{DIRPROD}{?*?} &
+\cross{DIRPROD}{?**?} &
+\cross{DIRPROD}{?+?} &
+\cross{DIRPROD}{?-?} \\
+\cross{DIRPROD}{?/?} &
+\cross{DIRPROD}{?$<$?} &
+\cross{DIRPROD}{?$<=$?} &
+\cross{DIRPROD}{?=?} &
+\cross{DIRPROD}{?$>$?} \\
+\cross{DIRPROD}{?$>=$?} &
+\cross{DIRPROD}{?\^{}?} &
+\cross{DIRPROD}{?\~{}=?} &
+\cross{DIRPROD}{-?} &
+\cross{DIRPROD}{?.?} 
+\end{tabular}
+
 <<domain DIRPROD DirectProduct>>=
 )abbrev domain DIRPROD DirectProduct
 ++ Author:
@@ -17460,6 +19065,87 @@ DirectProduct(dim:NonNegativeInteger, R:Type):
 \pageto{OppositeMonogenicLinearOperator}{OMLO}
 \pageto{OrdinaryDifferentialRing}{ODR}
 \pageto{DirectProductModule}{DPMO}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{DPMM}{0} &
+\cross{DPMM}{1} &
+\cross{DPMM}{coerce} &
+\cross{DPMM}{copy} &
+\cross{DPMM}{directProduct} \\
+\cross{DPMM}{elt} &
+\cross{DPMM}{empty} &
+\cross{DPMM}{empty?} &
+\cross{DPMM}{entries} &
+\cross{DPMM}{eq?} \\
+\cross{DPMM}{hash} &
+\cross{DPMM}{index?} &
+\cross{DPMM}{indices} &
+\cross{DPMM}{latex} &
+\cross{DPMM}{map} \\
+\cross{DPMM}{qelt} &
+\cross{DPMM}{sample} &
+\cross{DPMM}{zero?} &
+\cross{DPMM}{D} &
+\cross{DPMM}{abs} \\
+\cross{DPMM}{any?} &
+\cross{DPMM}{characteristic} &
+\cross{DPMM}{coerce} &
+\cross{DPMM}{count} &
+\cross{DPMM}{differentiate} \\
+\cross{DPMM}{dimension} &
+\cross{DPMM}{dot} &
+\cross{DPMM}{entry?} &
+\cross{DPMM}{eval} &
+\cross{DPMM}{every?} \\
+\cross{DPMM}{fill!} &
+\cross{DPMM}{first} &
+\cross{DPMM}{index} &
+\cross{DPMM}{less?} &
+\cross{DPMM}{lookup} \\
+\cross{DPMM}{map!} &
+\cross{DPMM}{max} &
+\cross{DPMM}{maxIndex} &
+\cross{DPMM}{member?} &
+\cross{DPMM}{members} \\
+\cross{DPMM}{min} &
+\cross{DPMM}{minIndex} &
+\cross{DPMM}{more?} &
+\cross{DPMM}{negative?} &
+\cross{DPMM}{one?} \\
+\cross{DPMM}{parts} &
+\cross{DPMM}{positive?} &
+\cross{DPMM}{qsetelt!} &
+\cross{DPMM}{random} &
+\cross{DPMM}{recip} \\
+\cross{DPMM}{reducedSystem} &
+\cross{DPMM}{retract} &
+\cross{DPMM}{retractIfCan} &
+\cross{DPMM}{setelt} &
+\cross{DPMM}{sign} \\
+\cross{DPMM}{size} &
+\cross{DPMM}{size?} &
+\cross{DPMM}{subtractIfCan} &
+\cross{DPMM}{sup} &
+\cross{DPMM}{swap!} \\
+\cross{DPMM}{unitVector} &
+\cross{DPMM}{\#{}?} &
+\cross{DPMM}{?*?} &
+\cross{DPMM}{?**?} &
+\cross{DPMM}{?/?} \\
+\cross{DPMM}{?$<$?} &
+\cross{DPMM}{?$<=$?} &
+\cross{DPMM}{?$>$?} &
+\cross{DPMM}{?$>=$?} &
+\cross{DPMM}{?\^{}?} \\
+\cross{DPMM}{?\^{}?} &
+\cross{DPMM}{-?} &
+\cross{DPMM}{?-?} &
+\cross{DPMM}{?=?} &
+\cross{DPMM}{?.?} \\
+\cross{DPMM}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain DPMM DirectProductMatrixModule>>=
 )abbrev domain DPMM DirectProductMatrixModule
 ++ Author:  Stephen M. Watt
@@ -17505,6 +19191,86 @@ DirectProductMatrixModule(n, R, M, S): DPcategory == DPcapsule where
 \pageto{OppositeMonogenicLinearOperator}{OMLO}
 \pageto{OrdinaryDifferentialRing}{ODR}
 \pageto{DirectProductMatrixModule}{DPMM}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{DPMO}{0} &
+\cross{DPMO}{1} &
+\cross{DPMO}{abs} &
+\cross{DPMO}{any?} &
+\cross{DPMO}{characteristic} \\
+\cross{DPMO}{coerce} &
+\cross{DPMO}{copy} &
+\cross{DPMO}{count} &
+\cross{DPMO}{D} &
+\cross{DPMO}{differentiate} \\
+\cross{DPMO}{dimension} &
+\cross{DPMO}{directProduct} &
+\cross{DPMO}{dot} &
+\cross{DPMO}{elt} &
+\cross{DPMO}{empty} \\
+\cross{DPMO}{empty?} &
+\cross{DPMO}{entries} &
+\cross{DPMO}{entry?} &
+\cross{DPMO}{eval} &
+\cross{DPMO}{every?} \\
+\cross{DPMO}{eq?} &
+\cross{DPMO}{fill!} &
+\cross{DPMO}{first} &
+\cross{DPMO}{hash} &
+\cross{DPMO}{index} \\
+\cross{DPMO}{index?} &
+\cross{DPMO}{indices} &
+\cross{DPMO}{latex} &
+\cross{DPMO}{less?} &
+\cross{DPMO}{lookup} \\
+\cross{DPMO}{map} &
+\cross{DPMO}{map!} &
+\cross{DPMO}{max} &
+\cross{DPMO}{maxIndex} &
+\cross{DPMO}{member?} \\
+\cross{DPMO}{members} &
+\cross{DPMO}{min} &
+\cross{DPMO}{minIndex} &
+\cross{DPMO}{more?} &
+\cross{DPMO}{negative?} \\
+\cross{DPMO}{one?} &
+\cross{DPMO}{parts} &
+\cross{DPMO}{positive?} &
+\cross{DPMO}{qelt} &
+\cross{DPMO}{qsetelt!} \\
+\cross{DPMO}{random} &
+\cross{DPMO}{recip} &
+\cross{DPMO}{reducedSystem} &
+\cross{DPMO}{retract} &
+\cross{DPMO}{retractIfCan} \\
+\cross{DPMO}{sample} &
+\cross{DPMO}{setelt} &
+\cross{DPMO}{sign} &
+\cross{DPMO}{size} &
+\cross{DPMO}{size?} \\
+\cross{DPMO}{subtractIfCan} &
+\cross{DPMO}{sup} &
+\cross{DPMO}{swap!} &
+\cross{DPMO}{unitVector} &
+\cross{DPMO}{zero?} \\
+\cross{DPMO}{\#{}?} &
+\cross{DPMO}{?*?} &
+\cross{DPMO}{?**?} &
+\cross{DPMO}{?/?} &
+\cross{DPMO}{?$<$?} \\
+\cross{DPMO}{?$<=$?} &
+\cross{DPMO}{?$>$?} &
+\cross{DPMO}{?$>=$?} &
+\cross{DPMO}{?\^{}?} &
+\cross{DPMO}{?+?} \\
+\cross{DPMO}{-?} &
+\cross{DPMO}{?-?} &
+\cross{DPMO}{?=?} &
+\cross{DPMO}{?.?} &
+\cross{DPMO}{?\~{}=?} 
+\end{tabular}
+
 <<domain DPMO DirectProductModule>>=
 )abbrev domain DPMO DirectProductModule
 ++ Author:  Stephen M. Watt
@@ -17757,6 +19523,95 @@ o )show DistributedMultivariatePolynomial
 {\bf See}\\
 \pageto{GeneralDistributedMultivariatePolynomial}{GDMP}
 \pageto{HomogeneousDistributedMultivariatePolynomial}{HDMP}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{DMP}{0} &
+\cross{DMP}{1} &
+\cross{DMP}{associates?} \\
+\cross{DMP}{binomThmExpt} &
+\cross{DMP}{characteristic} &
+\cross{DMP}{charthRoot} \\
+\cross{DMP}{coefficient} &
+\cross{DMP}{coefficients} &
+\cross{DMP}{coerce} \\
+\cross{DMP}{conditionP} &
+\cross{DMP}{convert} &
+\cross{DMP}{D} \\
+\cross{DMP}{degree} &
+\cross{DMP}{differentiate} &
+\cross{DMP}{discriminant} \\
+\cross{DMP}{eval} &
+\cross{DMP}{exquo} &
+\cross{DMP}{factor} \\
+\cross{DMP}{factorPolynomial} &
+\cross{DMP}{factorSquareFreePolynomial} &
+\cross{DMP}{gcd} \\
+\cross{DMP}{gcdPolynomial} &
+\cross{DMP}{ground} &
+\cross{DMP}{ground?} \\
+\cross{DMP}{hash} &
+\cross{DMP}{isExpt} &
+\cross{DMP}{isPlus} \\
+\cross{DMP}{isTimes} &
+\cross{DMP}{latex} &
+\cross{DMP}{lcm} \\
+\cross{DMP}{leadingCoefficient} &
+\cross{DMP}{leadingMonomial} &
+\cross{DMP}{mainVariable} \\
+\cross{DMP}{map} &
+\cross{DMP}{mapExponents} &
+\cross{DMP}{max} \\
+\cross{DMP}{min} &
+\cross{DMP}{minimumDegree} &
+\cross{DMP}{monicDivide} \\
+\cross{DMP}{monomial} &
+\cross{DMP}{monomial?} &
+\cross{DMP}{monomials} \\
+\cross{DMP}{multivariate} &
+\cross{DMP}{numberOfMonomials} &
+\cross{DMP}{one?} \\
+\cross{DMP}{patternMatch} &
+\cross{DMP}{pomopo!} &
+\cross{DMP}{prime?} \\
+\cross{DMP}{primitiveMonomials} &
+\cross{DMP}{primitivePart} &
+\cross{DMP}{recip} \\
+\cross{DMP}{reducedSystem} &
+\cross{DMP}{reductum} &
+\cross{DMP}{resultant} \\
+\cross{DMP}{retract} &
+\cross{DMP}{retractIfCan} &
+\cross{DMP}{reorder} \\
+\cross{DMP}{retract} &
+\cross{DMP}{sample} &
+\cross{DMP}{solveLinearPolynomialEquation} \\
+\cross{DMP}{squareFree} &
+\cross{DMP}{squareFreePart} &
+\cross{DMP}{squareFreePolynomial} \\
+\cross{DMP}{subtractIfCan} &
+\cross{DMP}{totalDegree} &
+\cross{DMP}{unit?} \\
+\cross{DMP}{unitCanonical} &
+\cross{DMP}{unitNormal} &
+\cross{DMP}{univariate} \\
+\cross{DMP}{variables} &
+\cross{DMP}{zero?} &
+\cross{DMP}{?*?} \\
+\cross{DMP}{?**?} &
+\cross{DMP}{?+?} &
+\cross{DMP}{?-?} \\
+\cross{DMP}{-?} &
+\cross{DMP}{?=?} &
+\cross{DMP}{?\^{}?} \\
+\cross{DMP}{?\~{}=?} &
+\cross{DMP}{?/?} &
+\cross{DMP}{?$<$?} \\
+\cross{DMP}{?$<=$?} &
+\cross{DMP}{?$>$?} &
+\cross{DMP}{?$>=$?} 
+\end{tabular}
+
 <<domain DMP DistributedMultivariatePolynomial>>=
 )abbrev domain DMP DistributedMultivariatePolynomial
 ++ Author: Barry Trager
@@ -18121,6 +19976,131 @@ o )show DoubleFloat
 @
 \pagehead{DoubleFloat}{DFLOAT}
 \pagepic{ps/v103doublefloat.ps}{DFLOAT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{DFLOAT}{0} &
+\cross{DFLOAT}{1} &
+\cross{DFLOAT}{abs} &
+\cross{DFLOAT}{acos} \\
+\cross{DFLOAT}{acosh} &
+\cross{DFLOAT}{acot} &
+\cross{DFLOAT}{acoth} &
+\cross{DFLOAT}{acsc} \\
+\cross{DFLOAT}{acsch} &
+\cross{DFLOAT}{airyAi} &
+\cross{DFLOAT}{airyBi} &
+\cross{DFLOAT}{asec} \\
+\cross{DFLOAT}{asech} &
+\cross{DFLOAT}{asin} &
+\cross{DFLOAT}{asinh} &
+\cross{DFLOAT}{associates?} \\
+\cross{DFLOAT}{atan} &
+\cross{DFLOAT}{atanh} &
+\cross{DFLOAT}{base} &
+\cross{DFLOAT}{besselI} \\
+\cross{DFLOAT}{besselJ} &
+\cross{DFLOAT}{besselK} &
+\cross{DFLOAT}{besselY} &
+\cross{DFLOAT}{Beta} \\
+\cross{DFLOAT}{bits} &
+\cross{DFLOAT}{ceiling} &
+\cross{DFLOAT}{characteristic} &
+\cross{DFLOAT}{coerce} \\
+\cross{DFLOAT}{convert} &
+\cross{DFLOAT}{cos} &
+\cross{DFLOAT}{cosh} &
+\cross{DFLOAT}{cot} \\
+\cross{DFLOAT}{coth} &
+\cross{DFLOAT}{csc} &
+\cross{DFLOAT}{csch} &
+\cross{DFLOAT}{D} \\
+\cross{DFLOAT}{decreasePrecision} &
+\cross{DFLOAT}{differentiate} &
+\cross{DFLOAT}{digamma} &
+\cross{DFLOAT}{digits} \\
+\cross{DFLOAT}{divide} &
+\cross{DFLOAT}{doubleFloatFormat} &
+\cross{DFLOAT}{euclideanSize} &
+\cross{DFLOAT}{exp} \\
+\cross{DFLOAT}{expressIdealMember} &
+\cross{DFLOAT}{exp1} &
+\cross{DFLOAT}{exponent} &
+\cross{DFLOAT}{exquo} \\
+\cross{DFLOAT}{extendedEuclidean} &
+\cross{DFLOAT}{factor} &
+\cross{DFLOAT}{float} &
+\cross{DFLOAT}{floor} \\
+\cross{DFLOAT}{fractionPart} &
+\cross{DFLOAT}{Gamma} &
+\cross{DFLOAT}{gcd} &
+\cross{DFLOAT}{gcdPolynomial} \\
+\cross{DFLOAT}{hash} &
+\cross{DFLOAT}{increasePrecision} &
+\cross{DFLOAT}{inv} &
+\cross{DFLOAT}{latex} \\
+\cross{DFLOAT}{lcm} &
+\cross{DFLOAT}{log} &
+\cross{DFLOAT}{log10} &
+\cross{DFLOAT}{log2} \\
+\cross{DFLOAT}{mantissa} &
+\cross{DFLOAT}{max} &
+\cross{DFLOAT}{min} &
+\cross{DFLOAT}{multiEuclidean} \\
+\cross{DFLOAT}{negative?} &
+\cross{DFLOAT}{norm} &
+\cross{DFLOAT}{nthRoot} &
+\cross{DFLOAT}{OMwrite} \\
+\cross{DFLOAT}{one?} &
+\cross{DFLOAT}{order} &
+\cross{DFLOAT}{patternMatch} &
+\cross{DFLOAT}{pi} \\
+\cross{DFLOAT}{polygamma} &
+\cross{DFLOAT}{positive?} &
+\cross{DFLOAT}{precision} &
+\cross{DFLOAT}{prime?} \\
+\cross{DFLOAT}{principalIdeal} &
+\cross{DFLOAT}{rationalApproximation} &
+\cross{DFLOAT}{recip} &
+\cross{DFLOAT}{retract} \\
+\cross{DFLOAT}{retractIfCan} &
+\cross{DFLOAT}{round} &
+\cross{DFLOAT}{sample} &
+\cross{DFLOAT}{sec} \\
+\cross{DFLOAT}{sech} &
+\cross{DFLOAT}{sign} &
+\cross{DFLOAT}{sin} &
+\cross{DFLOAT}{sinh} \\
+\cross{DFLOAT}{sizeLess?} &
+\cross{DFLOAT}{sqrt} &
+\cross{DFLOAT}{squareFree} &
+\cross{DFLOAT}{squareFreePart} \\
+\cross{DFLOAT}{subtractIfCan} &
+\cross{DFLOAT}{tan} &
+\cross{DFLOAT}{tanh} &
+\cross{DFLOAT}{truncate} \\
+\cross{DFLOAT}{unit?} &
+\cross{DFLOAT}{unitCanonical} &
+\cross{DFLOAT}{unitNormal} &
+\cross{DFLOAT}{wholePart} \\
+\cross{DFLOAT}{zero?} &
+\cross{DFLOAT}{?*?} &
+\cross{DFLOAT}{?**?} &
+\cross{DFLOAT}{?+?} \\
+\cross{DFLOAT}{?-?} &
+\cross{DFLOAT}{-?} &
+\cross{DFLOAT}{?/?} &
+\cross{DFLOAT}{?$<$?} \\
+\cross{DFLOAT}{?$<=$?} &
+\cross{DFLOAT}{?=?} &
+\cross{DFLOAT}{?$>$?} &
+\cross{DFLOAT}{?$>=$?} \\
+\cross{DFLOAT}{?\^{}?} &
+\cross{DFLOAT}{?quo?} &
+\cross{DFLOAT}{?rem?} &
+\cross{DFLOAT}{?\~{}=?} 
+\end{tabular}
+
 <<domain DFLOAT DoubleFloat>>=
 )abbrev domain DFLOAT DoubleFloat
 ++ Author: Michael Monagan
@@ -18453,6 +20433,37 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
 \section{domain DROPT DrawOption}
 \pagehead{DrawOption}{DROPT}
 \pagepic{ps/v103drawoption.ps}{DROPT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{DROPT}{adaptive} &
+\cross{DROPT}{clip} &
+\cross{DROPT}{coerce} &
+\cross{DROPT}{colorFunction} &
+\cross{DROPT}{coord} \\
+\cross{DROPT}{coordinates} &
+\cross{DROPT}{curveColor} &
+\cross{DROPT}{hash} &
+\cross{DROPT}{latex} &
+\cross{DROPT}{option} \\
+\cross{DROPT}{option?} &
+\cross{DROPT}{pointColor} &
+\cross{DROPT}{range} &
+\cross{DROPT}{ranges} &
+\cross{DROPT}{space} \\
+\cross{DROPT}{style} &
+\cross{DROPT}{title} &
+\cross{DROPT}{toScale} &
+\cross{DROPT}{tubePoints} &
+\cross{DROPT}{tubeRadius} \\
+\cross{DROPT}{unit} &
+\cross{DROPT}{var1Steps} &
+\cross{DROPT}{var2Steps} &
+\cross{DROPT}{viewpoint} &
+\cross{DROPT}{?=?} \\
+\cross{DROPT}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain DROPT DrawOption>>=
 )abbrev domain DROPT DrawOption
 ++ Author: Stephen Watt
@@ -18675,6 +20686,18 @@ DrawOption(): Exports == Implementation where
 \section{domain D01AJFA d01ajfAnnaType}
 \pagehead{d01ajfAnnaType}{D01AJFA}
 \pagepic{ps/v103d01ajfannatype.ps}{D01AJFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01AJFA}{coerce} &
+\cross{D01AJFA}{hash} &
+\cross{D01AJFA}{latex} &
+\cross{D01AJFA}{measure} &
+\cross{D01AJFA}{numericalIntegration} &
+\cross{D01AJFA}{?\~{}=?} &
+\cross{D01AJFA}{?=?} 
+\end{tabular}
+
 <<domain D01AJFA d01ajfAnnaType>>=
 )abbrev domain D01AJFA d01ajfAnnaType
 ++ Author: Brian Dupee
@@ -18740,6 +20763,18 @@ d01ajfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01AKFA d01akfAnnaType}
 \pagehead{d01akfAnnaType}{D01AKFA}
 \pagepic{ps/v103d01akfannatype.ps}{D01AKFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01AKFA}{coerce} &
+\cross{D01AKFA}{hash} &
+\cross{D01AKFA}{latex} &
+\cross{D01AKFA}{measure} &
+\cross{D01AKFA}{numericalIntegration} &
+\cross{D01AKFA}{?=?} &
+\cross{D01AKFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D01AKFA d01akfAnnaType>>=
 )abbrev domain D01AKFA d01akfAnnaType
 ++ Author: Brian Dupee
@@ -18810,6 +20845,18 @@ d01akfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01ALFA d01alfAnnaType}
 \pagehead{d01alfAnnaType}{D01ALFA}
 \pagepic{ps/v103d01alfannatype.ps}{D01ALFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01ALFA}{coerce} &
+\cross{D01ALFA}{hash} &
+\cross{D01ALFA}{latex} &
+\cross{D01ALFA}{measure} &
+\cross{D01ALFA}{numericalIntegration} &
+\cross{D01ALFA}{?\~{}=?} &
+\cross{D01ALFA}{?=?} 
+\end{tabular}
+
 <<domain D01ALFA d01alfAnnaType>>=
 )abbrev domain D01ALFA d01alfAnnaType
 ++ Author: Brian Dupee
@@ -18892,6 +20939,18 @@ d01alfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01AMFA d01amfAnnaType}
 \pagehead{d01amfAnnaType}{D01AMFA}
 \pagepic{ps/v103d01amfannatype.ps}{D01AMFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01AMFA}{coerce} &
+\cross{D01AMFA}{hash} &
+\cross{D01AMFA}{latex} &
+\cross{D01AMFA}{measure} &
+\cross{D01AMFA}{numericalIntegration} &
+\cross{D01AMFA}{?=?} &
+\cross{D01AMFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D01AMFA d01amfAnnaType>>=
 )abbrev domain D01AMFA d01amfAnnaType
 ++ Author: Brian Dupee
@@ -18970,6 +21029,18 @@ d01amfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01ANFA d01anfAnnaType}
 \pagehead{d01anfAnnaType}{D01ANFA}
 \pagepic{ps/v103d01anfannatype.ps}{D01ANFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D10ANFA}{coerce} &
+\cross{D10ANFA}{hash} &
+\cross{D10ANFA}{latex} &
+\cross{D10ANFA}{measure} &
+\cross{D10ANFA}{numericalIntegration} &
+\cross{D10ANFA}{?\~{}=?} &
+\cross{D10ANFA}{?=?} 
+\end{tabular}
+
 <<domain D01ANFA d01anfAnnaType>>=
 )abbrev domain D01ANFA d01anfAnnaType
 ++ Author: Brian Dupee
@@ -19050,6 +21121,18 @@ d01anfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01APFA d01apfAnnaType}
 \pagehead{d01apfAnnaType}{D01APFA}
 \pagepic{ps/v103d01apfannatype.ps}{D01APFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01APFA}{coerce} &
+\cross{D01APFA}{hash} &
+\cross{D01APFA}{latex} &
+\cross{D01APFA}{measure} &
+\cross{D01APFA}{numericalIntegration} &
+\cross{D01APFA}{?=?} &
+\cross{D01APFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D01APFA d01apfAnnaType>>=
 )abbrev domain D01APFA d01apfAnnaType
 ++ Author: Brian Dupee
@@ -19143,6 +21226,18 @@ d01apfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01AQFA d01aqfAnnaType}
 \pagehead{d01aqfAnnaType}{D01AQFA}
 \pagepic{ps/v103d01aqfannatype.ps}{D01AQFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01AQFA}{coerce} &
+\cross{D01APFA}{hash} &
+\cross{D01APFA}{latex} &
+\cross{D01APFA}{measure} &
+\cross{D01APFA}{numericalIntegration} &
+\cross{D01APFA}{?=?} &
+\cross{D01APFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D01AQFA d01aqfAnnaType>>=
 )abbrev domain D01AQFA d01aqfAnnaType
 ++ Author: Brian Dupee
@@ -19232,6 +21327,18 @@ d01aqfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01ASFA d01asfAnnaType}
 \pagehead{d01asfAnnaType}{D01ASFA}
 \pagepic{ps/v103d01asfannatype.ps}{D01ASFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01ASFA}{coerce} &
+\cross{D01ASFA}{hash} &
+\cross{D01ASFA}{latex} &
+\cross{D01ASFA}{measure} &
+\cross{D01ASFA}{numericalIntegration} &
+\cross{D01ASFA}{?=?} &
+\cross{D01ASFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D01ASFA d01asfAnnaType>>=
 )abbrev domain D01ASFA d01asfAnnaType
 ++ Author: Brian Dupee
@@ -19318,6 +21425,18 @@ d01asfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01FCFA d01fcfAnnaType}
 \pagehead{d01fcfAnnaType}{D01FCFA}
 \pagepic{ps/v103d01fcfannatype.ps}{D01FCFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01FCFA}{coerce} &
+\cross{D01FCFA}{hash} &
+\cross{D01FCFA}{latex} &
+\cross{D01FCFA}{measure} &
+\cross{D01FCFA}{numericalIntegration} &
+\cross{D01FCFA}{?=?} &
+\cross{D01FCFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D01FCFA d01fcfAnnaType>>=
 )abbrev domain D01FCFA d01fcfAnnaType
 ++ Author: Brian Dupee
@@ -19394,6 +21513,18 @@ d01fcfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01GBFA d01gbfAnnaType}
 \pagehead{d01gbfAnnaType}{D01GBFA}
 \pagepic{ps/v103d01gbfannatype.ps}{D01GBFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01GBFA}{coerce} &
+\cross{D01GBFA}{hash} &
+\cross{D01GBFA}{latex} &
+\cross{D01GBFA}{measure} &
+\cross{D01GBFA}{numericalIntegration} &
+\cross{D01GBFA}{?=?} &
+\cross{D01GBFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D01GBFA d01gbfAnnaType>>=
 )abbrev domain D01GBFA d01gbfAnnaType
 ++ Author: Brian Dupee
@@ -19476,6 +21607,18 @@ d01gbfAnnaType(): NumericalIntegrationCategory == Result add
 \section{domain D01TRNS d01TransformFunctionType}
 \pagehead{d01TransformFunctionType}{D01TRNS}
 \pagepic{ps/v103d01transformfunctiontype.ps}{D01TRNS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D01TRNS}{coerce} &
+\cross{D01TRNS}{hash} &
+\cross{D01TRNS}{latex} &
+\cross{D01TRNS}{measure} &
+\cross{D01TRNS}{numericalIntegration} &
+\cross{D01TRNS}{?=?} &
+\cross{D01TRNS}{?\~{}=?} 
+\end{tabular}
+
 <<domain D01TRNS d01TransformFunctionType>>=
 )abbrev domain D01TRNS d01TransformFunctionType
 ++ Author: Brian Dupee
@@ -19643,6 +21786,18 @@ d01TransformFunctionType():NumericalIntegrationCategory == Result add
 \section{domain D02BBFA d02bbfAnnaType}
 \pagehead{d02bbfAnnaType}{D02BBFA}
 \pagepic{ps/v103d02bbfannatype.ps}{D02BBFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D02BBFA}{coerce} &
+\cross{D02BBFA}{hash} &
+\cross{D02BBFA}{latex} &
+\cross{D02BBFA}{measure} &
+\cross{D02BBFA}{ODESolve} &
+\cross{D02BBFA}{?=?} &
+\cross{D02BBFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D02BBFA d02bbfAnnaType>>=
 )abbrev domain D02BBFA d02bbfAnnaType
 ++ Author: Brian Dupee
@@ -19745,6 +21900,18 @@ d02bbfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 \section{domain D02BHFA d02bhfAnnaType}
 \pagehead{d02bhfAnnaType}{D02BHFA}
 \pagepic{ps/v103d02bhfannatype.ps}{D02BHFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D02BHFA}{coerce} &
+\cross{D02BHFA}{hash} &
+\cross{D02BHFA}{latex} &
+\cross{D02BHFA}{measure} &
+\cross{D02BHFA}{ODESolve} &
+\cross{D02BHFA}{?=?} &
+\cross{D02BHFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D02BHFA d02bhfAnnaType>>=
 )abbrev domain D02BHFA d02bhfAnnaType
 ++ Author: Brian Dupee
@@ -19843,6 +22010,18 @@ d02bhfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 \section{domain D02CJFA d02cjfAnnaType}
 \pagehead{d02cjfAnnaType}{D02CJFA}
 \pagepic{ps/v103d02cjfannatype.ps}{D02CJFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D02CJFA}{coerce} &
+\cross{D02CJFA}{hash} &
+\cross{D02CJFA}{latex} &
+\cross{D02CJFA}{measure} &
+\cross{D02CJFA}{ODESolve} &
+\cross{D02CJFA}{?=?} &
+\cross{D02CJFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D02CJFA d02cjfAnnaType>>=
 )abbrev domain D02CJFA d02cjfAnnaType
 ++ Author: Brian Dupee
@@ -19934,6 +22113,18 @@ d02cjfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 \section{domain D02EJFA d02ejfAnnaType}
 \pagehead{d02ejfAnnaType}{D02EJFA}
 \pagepic{ps/v103d02ejfannatype.ps}{D02EJFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D02EJFA}{coerce} &
+\cross{D02EJFA}{hash} &
+\cross{D02EJFA}{latex} &
+\cross{D02EJFA}{measure} &
+\cross{D02EJFA}{ODESolve} &
+\cross{D02EJFA}{?=?} &
+\cross{D02EJFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D02EJFA d02ejfAnnaType>>=
 )abbrev domain D02EJFA d02ejfAnnaType
 ++ Author: Brian Dupee
@@ -20056,6 +22247,18 @@ d02ejfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 \section{domain D03EEFA d03eefAnnaType}
 \pagehead{d03eefAnnaType}{D03EEFA}
 \pagepic{ps/v103d03eefannatype.ps}{D03EEFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D03EEFA}{coerce} &
+\cross{D03EEFA}{hash} &
+\cross{D03EEFA}{latex} &
+\cross{D03EEFA}{measure} &
+\cross{D03EEFA}{PDESolve} &
+\cross{D03EEFA}{?=?} &
+\cross{D03EEFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D03EEFA d03eefAnnaType>>=
 )abbrev domain D03EEFA d03eefAnnaType
 ++ Author: Brian Dupee
@@ -20137,6 +22340,18 @@ d03eefAnnaType():PartialDifferentialEquationsSolverCategory == Result add
 \section{domain D03FAFA d03fafAnnaType}
 \pagehead{d03fafAnnaType}{D03FAFA}
 \pagepic{ps/v103d03fafannatype.ps}{D03FAFA}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{D03FAFA}{coerce} &
+\cross{D03FAFA}{hash} &
+\cross{D03FAFA}{latex} &
+\cross{D03FAFA}{measure} &
+\cross{D03FAFA}{PDESolve} &
+\cross{D03FAFA}{?=?} &
+\cross{D03FAFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain D03FAFA d03fafAnnaType>>=
 )abbrev domain D03FAFA d03fafAnnaType
 ++ Author: Brian Dupee
diff --git a/changelog b/changelog
index 7230a7c..b0353c8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090114 tpd src/axiom-website/patches.html 20090114.01.tpd.patch
+20090114 tpd books/bookvol10.3 add exports
 20090113 tpd src/axiom-website/patches.html 20090113.01.tpd.patch
 20090113 tpd books/bookvol10.3 begin adding exports
 20090112 tpd src/axiom-website/patches.html 20090112.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 94e2939..ede4471 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -877,6 +877,8 @@ bookvol10.3 add dotabb chunks<br/>
 bookvol10.3 redraw graphs based on dotabb<br/>
 <a href="patches/20090113.01.tpd.patch">20090113.01.tpd.patch</a>
 bookvol10.3 begin adding exports<br/>
+<a href="patches/20090114.01.tpd.patch">20090114.01.tpd.patch</a>
+bookvol10.3 add exports<br/>
 
  </body>
 </html>
